# created with git log --stat=76 -M -C -500|fmt -sct -w80

commit 27708152b38933f5ea5f43227ad07d40f26b0bf7
Merge: f20ff627 dd144756
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 24 01:37:15 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit dd1447569fd2ea3e1a8899e2ce084798c01f50be
Merge: cc8d3180 50c4791e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 24 01:36:17 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 50c4791e4b20449e1abbc2dc6b6a3295d7b4ca88
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 24 01:18:16 2022 +0200

    Fix warning on delete.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 429d528d8e38aaef97cd4351cd710962744def97
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 23 21:32:17 2022 +0200

    Add winoption "frame" to group new clients as tabs in a single frame.

 man/icewm-winoptions.pod |  4 ++++
 src/wmclient.cc          | 43 +++++++++++++++++++++++++++++++++++++++++++
 src/wmclient.h           |  1 +
 src/wmframe.cc           | 15 +++++++++++++++
 src/wmframe.h            |  8 +++++---
 src/wmmgr.cc             | 31 +++++++++++++++++++++++++------
 src/wmoption.cc          |  6 +++++-
 src/wmoption.h           |  1 +
 8 files changed, 99 insertions(+), 10 deletions(-)

commit 06ef4f455957e37aed771346db0245911d05f3ae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 23 17:21:17 2022 +0200

    Revert "Revisiting header files and making them self-sufficient"

    This reverts commit 1859cae6c437bc1c7f6419b47d16e51a0e338ba1.

 src/aapm.h       | 2 --
 src/acpustatus.h | 6 ------
 src/amemstatus.h | 4 ----
 src/applet.h     | 4 ----
 src/apppstatus.h | 7 -------
 src/browse.h     | 2 --
 src/genpref.cc   | 1 -
 src/logevent.h   | 2 --
 src/objbar.h     | 2 --
 src/themable.h   | 1 -
 src/wmoption.h   | 1 +
 src/wmsession.h  | 4 ----
 src/wmswitch.h   | 3 ---
 src/wmtitle.h    | 4 ----
 src/wmwinmenu.h  | 3 ---
 src/ybidi.h      | 2 --
 src/yconfig.h    | 1 -
 src/ycursor.h    | 2 --
 src/yicon.h      | 3 ---
 src/yimage.h     | 3 +--
 src/ylist.h      | 2 --
 src/yrect.h      | 4 ----
 src/yxcontext.h  | 5 -----
 23 files changed, 2 insertions(+), 66 deletions(-)

commit d13fbd7b5210a73769b9b1dd62e9f704eb799ef1
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Oct 22 22:28:14 2022 +0200

    [cmake] Various improvements

    - increased minimum required version to stop printing warnings
    - use target_link_options where it makes sense so that linker options are
      passed through explicitly as raw linker arguments instead of abusing the
      library list for this purpose
    - Intl_INCLUDE_DIRS passed explicitly as include directory list (it
    would break
      before if there are more than one directory exported)
    - removing duplicates in the linked libraries while creating a unified
    list,
      also removing duplicates from include folders
    - optional discovery of the related header files (visual sugar for
    IDE users)
    - dropping legacy hints and upgrading to newer cmake version requirement
    - unified handling of extra linker flags and extra libraries
    - using the new -flto=... option with value to avoid warnings when building
      with ENABLE_LTO

 doc/CMakeLists.txt |   2 +-
 lib/CMakeLists.txt |   2 +-
 po/CMakeLists.txt  |   2 +-
 src/CMakeLists.txt | 153 ++++++++++++++++++++++++++++++-------------------
 4 files changed, 97 insertions(+), 62 deletions(-)

commit 1859cae6c437bc1c7f6419b47d16e51a0e338ba1
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Oct 22 21:04:14 2022 +0200

    Revisiting header files and making them self-sufficient

 src/aapm.h       | 2 ++
 src/acpustatus.h | 6 ++++++
 src/amemstatus.h | 4 ++++
 src/applet.h     | 4 ++++
 src/apppstatus.h | 7 +++++++
 src/browse.h     | 2 ++
 src/genpref.cc   | 1 +
 src/logevent.h   | 2 ++
 src/objbar.h     | 2 ++
 src/themable.h   | 1 +
 src/wmoption.h   | 1 -
 src/wmsession.h  | 4 ++++
 src/wmswitch.h   | 3 +++
 src/wmtitle.h    | 4 ++++
 src/wmwinmenu.h  | 3 +++
 src/ybidi.h      | 2 ++
 src/yconfig.h    | 1 +
 src/ycursor.h    | 2 ++
 src/yicon.h      | 3 +++
 src/yimage.h     | 3 ++-
 src/ylist.h      | 2 ++
 src/yrect.h      | 4 ++++
 src/yxcontext.h  | 5 +++++
 23 files changed, 66 insertions(+), 2 deletions(-)

commit 5c7f922e8b55b4cb27e53584e1f14076a7792c45
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 23 12:08:42 2022 +0200

    Detail how to use tabbed windows.

 man/icewm.pod | 35 ++++++++++++++++++++++++++++++++---
 1 file changed, 32 insertions(+), 3 deletions(-)

commit a555fc88eaf47bfbcb5faa5fd62c2c3fa730c988
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 23 01:42:42 2022 +0200

    Show tabs on the title bar. Click on title bar to change tabs.

 src/decorate.cc |   2 +
 src/wmframe.cc  |  17 ++++++-
 src/wmframe.h   |   2 +
 src/wmtitle.cc  | 127 +++++++++++++++++++++++++++++++++++++++++++++-------
 src/wmtitle.h   |   4 ++
 5 files changed, 133 insertions(+), 19 deletions(-)

commit f4b21c030f648eb4a7517715663e7107b0a175de
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 20 22:54:29 2022 +0200

    Also context save the internal clients.

 src/wmclient.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 016149bf6b03880bf9e6214e8b40cb8f0bcdcbb1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 20 22:41:49 2022 +0200

    Move WindowOption from frame to client and cache it.

 src/wmclient.cc | 62 ++++++++++++++++++++++++++++++------
 src/wmclient.h  |  5 +++
 src/wmframe.cc  | 92 +++++++++++++----------------------------------------
 src/wmframe.h   |  6 ----
 src/wmmgr.cc    | 53 +++++++++++++++---------------
 src/wmoption.cc | 17 ++++++++--
 src/wmoption.h  |  3 ++
 7 files changed, 121 insertions(+), 117 deletions(-)

commit 22794bf476d13016ed6e0da986b303cc12b17a80
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 19 23:07:01 2022 +0200

    Fix merging a transient as a tab to its owner.  Preserve tray hint
    across restarts.  Smaller WindowOption.

 src/WinMgr.h     |  8 +++---
 src/wmclient.cc  |  6 ++---
 src/wmclient.h   |  6 ++---
 src/wmframe.cc   | 69 +++++++++++++++++++++++-----------------------------
 src/wmframe.h    | 14 ++---------
 src/wmmgr.cc     |  8 +++---
 src/wmoption.cc  | 24 +++++++++++++-----
 src/wmoption.h   |  8 ++++--
 src/wmtaskbar.cc |  2 +-
 src/wmtitle.cc   |  4 +--
 src/wmwinlist.cc |  2 +-
 src/ydialog.cc   |  2 +-
 12 files changed, 75 insertions(+), 78 deletions(-)

commit aa38383336205a62dc2d0f93b04ed6aa7bb611f1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 18 19:21:34 2022 +0200

    Preserve tabs across restarts.

 src/wmframe.cc | 62 ++++++++++++++++++++++++++++++------------
 src/wmframe.h  |  6 ++++-
 src/wmmgr.cc   | 79 +++++++++++++++++++++++++++++++++++++++++++++++++++---
 src/wmmgr.h    |  1 +
 src/yxapp.cc   |  2 ++
 5 files changed, 129 insertions(+), 21 deletions(-)

commit cf09ff125d48f0c5d34d5e4d4b67ef2306e10d90
Author: Stéphane LASSALVY <stephane.lassalvy@laposte.net>
Date:   Sun Oct 16 15:42:53 2022 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (519 of 519 strings)

 po/fr.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit af136ee53632932ca252ac0e6c42036029413493
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 14 17:45:50 2022 +0200

    Check owner pointer for transient windows which have an unmapped owner
    for issue #675.

 src/wmwinlist.cc | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit e1b41e23f21c57751399281231e37c6ce650c00f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 11 22:49:48 2022 +0200

    Improve Alt+Tab for tabbed frames for issue #673.

 src/wmmgr.cc    |  2 ++
 src/wmswitch.cc | 42 +++++++++++++++++++++++-------------------
 src/wmswitch.h  |  4 +++-
 3 files changed, 28 insertions(+), 20 deletions(-)

commit cc87846c3cdb57385b6b1f7d817ffefb54fcfc28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 11 22:20:36 2022 +0200

    When switching tabs, ensure focus is preserved.

 src/wmframe.cc | 1 +
 1 file changed, 1 insertion(+)

commit 68f1ab18d9982cf7757a3b12a9c14961586b4c4c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 11 20:51:47 2022 +0200

    Replace last Button2 with isTabbingButton for issue ice-wm/icewm#95.

 src/wmtitle.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f328bba2e1f1faf08a8f4a83ab121631416f0879
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Tue Oct 11 16:48:39 2022 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (519 of 519 strings)

 po/pt_BR.po | 600 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 306 insertions(+), 294 deletions(-)

commit 71d15fba6ee3bf3913fabe72423e3d2490859c1d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 10 18:46:30 2022 +0200

    Add MouseWinTabbing button preference for merging frame tabs for issue
    ice-wm/icewm#95.

 man/icewm.pod  |  6 ++++++
 src/bindkey.h  |  2 ++
 src/default.h  |  1 +
 src/wmtitle.cc | 14 +++++++++++---
 src/wmtitle.h  |  2 ++
 5 files changed, 22 insertions(+), 3 deletions(-)

commit 51bd0a6f7a7c4cfc12f9b877928668a732891ab1
Author: Wallon <franckjl@hotmail.com>
Date:   Mon Oct 10 01:42:51 2022 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (519 of 519 strings)

 po/fr.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 55308def4ce5be5a67573818c38783bf24bde128
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 9 21:51:59 2022 +0200

    Let the window list support tabs.

 src/wmclient.cc  |  20 ++---
 src/wmclient.h   |  13 ++-
 src/wmframe.cc   |  35 ++++----
 src/wmframe.h    |   2 -
 src/wmwinlist.cc | 224 +++++++++++++++++++++++++++++++--------------------
 src/wmwinlist.h  |  47 +++++++----
 src/ylistbox.h   |   1 +
 7 files changed, 205 insertions(+), 137 deletions(-)

commit f20ff627185755159ebf1312470bc884156239e1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 08:35:09 2022 +0200

    Prepare 3.0.1 release

 AUTHORS      |   7 +-
 ChangeLog    | 322 +++++++++++++++++++++++++++----------------------------
 NEWS         |  67 +++++-------
 README.md    |  38 +++----
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   6 +-
 po/be.po     |   6 +-
 po/bg.po     |   6 +-
 po/ca.po     |  10 +-
 po/cs.po     |   6 +-
 po/da.po     |   6 +-
 po/de.po     |   6 +-
 po/el.po     |   6 +-
 po/en.po     |   6 +-
 po/es.po     |   6 +-
 po/fi.po     |   6 +-
 po/fr.po     |   6 +-
 po/he.po     |   6 +-
 po/hr.po     |   6 +-
 po/hu.po     |   6 +-
 po/icewm.pot |   8 +-
 po/id.po     |   6 +-
 po/it.po     |   6 +-
 po/ja.po     |  10 +-
 po/ko.po     |   6 +-
 po/lt.po     |   6 +-
 po/lv.po     |   6 +-
 po/mk.po     |   6 +-
 po/nb.po     |   6 +-
 po/nl.po     |  10 +-
 po/no.po     |   6 +-
 po/pl.po     |   6 +-
 po/pt.po     |   6 +-
 po/pt_BR.po  |   6 +-
 po/ro.po     |   6 +-
 po/ru.po     |  10 +-
 po/sk.po     |  10 +-
 po/sl.po     |   6 +-
 po/sv.po     |   6 +-
 po/tr.po     |   6 +-
 po/uk.po     |   6 +-
 po/vi.po     |   6 +-
 po/zh_CN.po  |   6 +-
 po/zh_TW.po  |   6 +-
 46 files changed, 343 insertions(+), 361 deletions(-)

commit 397a7834460742e5d9a2133f1bda76f7be9186e2
Merge: f722c68e cc8d3180
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 08:30:31 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit cc8d3180465d7e3c5cc86c5ec6a301e8c26fee73
Merge: 7f38d19c 7f83078a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 08:24:37 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 7f83078a52dc9d8d75451892bd2ea5316122b500
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 08:20:06 2022 +0200

    Fix typo.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e8ad584d0cac1dd580d49f2c02534c9932d91cf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 01:26:45 2022 +0200

    More elaborate implementation of _NET_REQUEST_FRAME_EXTENTS.

 src/wmmgr.cc | 104 +++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 102 insertions(+), 2 deletions(-)

commit 9f391061cfabad44eef19b95c386a54a85a5e793
Author: Alexey Yaryshev <clarkez344@gmail.com>
Date:   Wed Oct 5 14:36:57 2022 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (519 of 519 strings)

 po/ru.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3e2bc3d87dc60ca3ef8dbda304752c89ca951e06
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 5 01:49:01 2022 +0200

    Remove PHONY to fix distclean.

 doc/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 8cbb0ebb828e2fea3772bc192cef9f760e2c956f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 5 01:16:03 2022 +0200

    Fix _NET_REQUEST_FRAME_EXTENTS for issue ice-wm/icewm#93.

 src/wmmgr.cc | 43 ++++---------------------------------------
 1 file changed, 4 insertions(+), 39 deletions(-)

commit b76be51c36ab56110b440d4a5ce3d9aecb8dfc15
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 5 00:14:47 2022 +0200

    Fix typo for KeyWinPrev.

 man/icewm.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e97a1e0e8af65bb588b9b868a4b840b23109542c
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Oct 3 20:59:37 2022 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (519 of 519 strings)

 po/pt.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3e62b2d8e4b1a9fbe64ddecac14449ede671b2b9
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Mon Oct 3 14:25:03 2022 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (519 of 519 strings)

 po/sk.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f722c68ec5f4e20e32746583d2393d515dc3e11f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 16:48:15 2022 +0200

    Prepare 3.0.0 release

 AUTHORS      |  12 +-
 ChangeLog    | 708 ++++++++++++++++++++++++++++++++-----------------------
 NEWS         | 113 ++++-----
 README.md    |  40 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   2 +-
 po/be.po     |   2 +-
 po/bg.po     |   2 +-
 po/ca.po     |   2 +-
 po/cs.po     |   2 +-
 po/da.po     |   2 +-
 po/de.po     |   2 +-
 po/el.po     |   2 +-
 po/en.po     |   2 +-
 po/es.po     |   2 +-
 po/fi.po     |   2 +-
 po/fr.po     |   2 +-
 po/he.po     |   2 +-
 po/hr.po     |   2 +-
 po/hu.po     |   2 +-
 po/icewm.pot |   4 +-
 po/id.po     |   2 +-
 po/it.po     |   2 +-
 po/ja.po     |   2 +-
 po/ko.po     |   2 +-
 po/lt.po     |   2 +-
 po/lv.po     |   2 +-
 po/mk.po     |   2 +-
 po/nb.po     |   2 +-
 po/nl.po     |   2 +-
 po/no.po     |   2 +-
 po/pl.po     |   2 +-
 po/pt.po     |   2 +-
 po/pt_BR.po  |   2 +-
 po/ro.po     |   2 +-
 po/ru.po     |   2 +-
 po/sk.po     |   2 +-
 po/sl.po     |   2 +-
 po/sv.po     |   2 +-
 po/tr.po     |   2 +-
 po/uk.po     |   2 +-
 po/vi.po     |   2 +-
 po/zh_CN.po  |   2 +-
 po/zh_TW.po  |   2 +-
 46 files changed, 535 insertions(+), 432 deletions(-)

commit 68197ee0c5b81ce86f83c9381d1e73317486d0e9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 16:39:40 2022 +0200

    Drop phony.

 doc/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 5b330f3ed6d4936380528d8b5126fc929fae2e83
Merge: 31cfc736 7f38d19c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 16:28:21 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 7f38d19c6aa975310c3df8980a0e2f633f42426b
Merge: 751e987a 0992e083
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 16:26:38 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 0992e08389dc2b74f834ed6c07c0c311eeb7da5b
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Mon Oct 3 09:28:26 2022 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (519 of 519 strings)

 po/nl.po | 44 +++++++++++++++++++++-----------------------
 1 file changed, 21 insertions(+), 23 deletions(-)

commit 2b616712d8583eec47eec1dc4f44083e9976ebf6
Author: David Medina <medipas@gmail.com>
Date:   Mon Oct 3 09:07:11 2022 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (519 of 519 strings)

 po/ca.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e32c3ca4dbc944e54214772ad465bb1ac243abe9
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Oct 3 04:07:29 2022 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (519 of 519 strings)

 po/ja.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 480638581fafdbf68b87d2c78beb10774139db2e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 05:55:39 2022 +0200

    Only generate manual if source is newer than output.

 doc/Makefile.am | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

commit 8fc585ddd8db367fdbb69f9dc3b268ffd2a298a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 05:53:53 2022 +0200

    Update pot files.

 po/ar.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/be.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/bg.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/ca.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/cs.po     | 414 ++++++++++++++++++++++++++-------------------------
 po/da.po     | 418 ++++++++++++++++++++++++++--------------------------
 po/de.po     | 414 ++++++++++++++++++++++++++-------------------------
 po/el.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/en.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/es.po     | 418 ++++++++++++++++++++++++++--------------------------
 po/fi.po     | 414 ++++++++++++++++++++++++++-------------------------
 po/fr.po     | 414 ++++++++++++++++++++++++++-------------------------
 po/he.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/hr.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/hu.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/icewm.pot | 412 ++++++++++++++++++++++++++-------------------------
 po/id.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/it.po     | 442 ++++++++++++++++++++++++++++---------------------------
 po/ja.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/ko.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/lt.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/lv.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/mk.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/nb.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/nl.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/no.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/pl.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/pt.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 430 +++++++++++++++++++++++++++--------------------------
 po/ro.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/ru.po     | 414 ++++++++++++++++++++++++++-------------------------
 po/sk.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/sl.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/sv.po     | 414 ++++++++++++++++++++++++++-------------------------
 po/tr.po     | 414 ++++++++++++++++++++++++++-------------------------
 po/uk.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/vi.po     | 410 ++++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 410 ++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 410 ++++++++++++++++++++++++++-------------------------
 39 files changed, 8200 insertions(+), 7888 deletions(-)

commit 620005e0416a65356d66fb7af80532ac22bcc1a1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 05:52:18 2022 +0200

    Change updateNormalSize to have zero rounding error when cycling over
    different terminals as tabs in a single frame.

 src/wmframe.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 59fb5d2c195c8d23e893c346f10be2b0c3acf69d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 01:27:22 2022 +0200

    Add support for tabbed windows. Add "ignoreOverrideRedirect" winoption.
    Allow taskbar to hide/unhide by icesh.

 man/icewm-winoptions.pod |   1 +
 man/icewm.pod            |  11 +
 src/atasks.cc            |  10 +-
 src/atray.cc             |   9 +-
 src/atray.h              |   4 +-
 src/aworkspaces.cc       |   2 +-
 src/decorate.cc          |  39 ++-
 src/wmapp.cc             |  45 ++-
 src/wmapp.h              |   6 +
 src/wmbutton.cc          |   2 +-
 src/wmclient.cc          | 319 +++++++++++++++---
 src/wmclient.h           |  39 ++-
 src/wmcontainer.cc       |  19 +-
 src/wmcontainer.h        |  14 +-
 src/wmframe.cc           | 757 ++++++++++++++++++++++---------------------
 src/wmframe.h            |  46 +--
 src/wmmgr.cc             | 160 +++++----
 src/wmmgr.h              |  23 +-
 src/wmminiicon.cc        |   4 +-
 src/wmoption.cc          |  19 +-
 src/wmoption.h           |   3 +
 src/wmpref.cc            |   5 +-
 src/wmprog.cc            |   3 +
 src/wmswitch.cc          | 354 ++++++++++++--------
 src/wmswitch.h           |   1 +
 src/wmtaskbar.cc         |  19 +-
 src/wmtaskbar.h          |   2 +-
 src/wmtitle.cc           | 208 +++++++++---
 src/wmtitle.h            |  24 +-
 src/wmwinmenu.cc         |   5 +-
 src/ydialog.cc           |   8 +
 src/ydialog.h            |   1 +
 src/ymenu.cc             |  29 ++
 src/ymenu.h              |   3 +
 src/ymsgbox.cc           |   6 +-
 src/ymsgbox.h            |   1 -
 src/yrect.h              |   2 +
 src/ywindow.cc           | 121 ++++---
 src/ywindow.h            |  16 +-
 39 files changed, 1515 insertions(+), 825 deletions(-)

commit b68db7302800d825e72b8d20d13995f1e52d4c3a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 01:25:17 2022 +0200

    Show the property name when debugging XGetWindowProperty errors.

 src/yxapp.cc | 18 +++++++++++++-----
 src/yxapp.h  |  2 ++
 2 files changed, 15 insertions(+), 5 deletions(-)

commit 2d2a7f9c92b02703345423bbbd6cc84cdc9e78f0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 00:55:23 2022 +0200

    Add actionUntab.

 src/wmaction.h | 1 +
 1 file changed, 1 insertion(+)

commit 8cdac6888e523a5c0808ab49d9bc9f91dc66d882
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 00:55:07 2022 +0200

    Destructor must be virtual.

 src/wmabout.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a8ae1b7a284efc1e968fb6bc4afae98c4edef6d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 00:54:04 2022 +0200

    Print a message if icewmbg encounters an image loading failure.

 src/icewmbg.cc | 3 +++
 1 file changed, 3 insertions(+)

commit c95ef1660186bfa266b757f400ebad7b25614bcc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 00:53:26 2022 +0200

    Start icewm before icesound and icewmbg.

 src/icesm.cc | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 74e0e1a75ac2943577e210e0badca8c1ffe1496b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 00:52:29 2022 +0200

    Add override and focusmodel commands to icesh.

 man/icesh.pod | 10 +++++++
 src/icesh.cc  | 87 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 96 insertions(+), 1 deletion(-)

commit 29ef34da682de675c1230e7bccf2f0ebc28e060c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 00:44:59 2022 +0200

    Make layers int. Add validLayer macro.

 src/WinMgr.h | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit 73390bc7cea11735b53c4712b016c82446c011a2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 1 11:54:27 2022 +0200

    Fix setWorkspace for issue #667.

 src/wmframe.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 76ea607723edcf876537f8f91eaf31dafcc2232a
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 16 18:33:19 2022 +0200

    Section name bugfix and --activate implementation, etc.

    Fix the storage of the section name as the explicit "match-name" value.

    Drop most remains of the the experimental callback code

    Repurpose --apply code as --activate, thus allowing to run the xrandr
    actiation
    command directly from the command line.

    Explaining the creation of the label from EDID.

    Option to access auto-determined label in the INI file.

    Add the %PRIMFLAG even to the auto-determined label strings.

 contrib/icewm-menu-xrandr | 56 +++++++++++++------------------------------
 contrib/xrandr_menu       | 12 ++++++----
 man/icewm-menu-xrandr.pod | 34 ++++++++++++++++++++------
 3 files changed, 51 insertions(+), 51 deletions(-)

commit 291026f9bcc9bd8b88126c7cfc91889b69603ab6
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Sep 16 17:21:08 2022 +0200

    Fix fdomenu copyright information

    This tool is not from old icewm source nor has this been written by
    Brian; this
    is my original work plus some improvements from Bert.

 man/icewm-menu-fdo.pod |  2 +-
 src/fdomenu.cc         | 11 ++++++++---
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 28391035f73a0b5aea3674b4affb74347e8fc243
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Aug 6 17:22:27 2022 +0200

    Refactor and extend xrandr menu provider

    Internal refactoring to format command strings more carefully.

    Using Getopt module (icewm users should have full perl installed anyway)

    Option add number prefixes for easier targeting in submenu.

    Option to use an additional configuration file, which can be used to:
    - rename the labels (including placeholders for interface output and
      primary flag)
    - run xrandr with custom resolution/refrate selection options. This
      replaces the previous --max option.
    - run additional commands after xrandr in selected output of screen
      configuratioin contexts
    - option to auto-restart icewm in certain conditions
    - option to force the screen location and orientation with xrandr
      options regardless of auto-suggested positioning

 contrib/icewm-menu-xrandr | 689 +++++++++++++++++++++++++++---------------
 contrib/xrandr_menu       |  70 +++++
 man/icewm-menu-xrandr.pod |  30 +-
 3 files changed, 531 insertions(+), 258 deletions(-)

commit a1b89f163db60256a83b626c1426e64135b46cda
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 6 03:42:17 2022 +0200

    Succinct.

 man/icesound.pod |  2 +-
 man/icewmbg.pod  | 46 +++++++++++++++++++++-------------------------
 2 files changed, 22 insertions(+), 26 deletions(-)

commit e1d9c9cfe16ba35fd3d505bd79ceb37cc002f675
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Sep 2 05:06:47 2022 +0200

    Clarify icewmbg one image per workspace.

 man/icewm-preferences.pod |  8 ++++++++
 man/icewmbg.pod           | 37 +++++++++++++++++++++++++++++++------
 2 files changed, 39 insertions(+), 6 deletions(-)

commit 4497d2a6e054049daaf760f70a5270f7de9173cf
Author: Kristijan Fremen Velkovski <me@krisfremen.com>
Date:   Tue Aug 16 03:26:22 2022 +0000

    Translated using Weblate (Macedonian)

    Currently translated at 35.0% (181 of 517 strings)

 po/mk.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 69e827ff89ac812d9f84df094cf0706b15e53ac6
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Fri Aug 12 07:07:51 2022 +0000

    Translated using Weblate (Swedish)

    Currently translated at 99.0% (512 of 517 strings)

 po/sv.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dbd74de583f5d6dee9317f070eb8c6d7f4e44b76
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Sun Aug 7 15:08:37 2022 +0000

    Translated using Weblate (Swedish)

    Currently translated at 99.0% (512 of 517 strings)

 po/sv.po | 39 ++++++++-------------------------------
 1 file changed, 8 insertions(+), 31 deletions(-)

commit 31cfc7368e0c9c35dbec181148912a4ad4b63943
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 1 23:49:30 2022 +0200

    Prepare 2.9.9 release

 AUTHORS         |   2 +-
 ChangeLog       | 604 ++++++++++++++++++++++++----------------------------
 NEWS            |  81 ++++---
 README.md       |  42 ++--
 RELEASE.md      |   2 +-
 VERSION         |   2 +-
 configure.ac    |  10 +-
 doc/Makefile.am |   1 +
 po/ar.po        | 306 +++++++++++++-------------
 po/be.po        | 306 +++++++++++++-------------
 po/bg.po        | 306 +++++++++++++-------------
 po/ca.po        | 306 +++++++++++++-------------
 po/cs.po        | 306 +++++++++++++-------------
 po/da.po        | 306 +++++++++++++-------------
 po/de.po        | 306 +++++++++++++-------------
 po/el.po        | 306 +++++++++++++-------------
 po/en.po        | 306 +++++++++++++-------------
 po/es.po        | 306 +++++++++++++-------------
 po/fi.po        | 306 +++++++++++++-------------
 po/fr.po        | 306 +++++++++++++-------------
 po/he.po        | 306 +++++++++++++-------------
 po/hr.po        | 306 +++++++++++++-------------
 po/hu.po        | 306 +++++++++++++-------------
 po/icewm.pot    | 308 +++++++++++++--------------
 po/id.po        | 306 +++++++++++++-------------
 po/it.po        | 306 +++++++++++++-------------
 po/ja.po        | 306 +++++++++++++-------------
 po/ko.po        | 306 +++++++++++++-------------
 po/lt.po        | 306 +++++++++++++-------------
 po/lv.po        | 306 +++++++++++++-------------
 po/mk.po        | 306 +++++++++++++-------------
 po/nb.po        | 306 +++++++++++++-------------
 po/nl.po        | 306 +++++++++++++-------------
 po/no.po        | 306 +++++++++++++-------------
 po/pl.po        | 306 +++++++++++++-------------
 po/pt.po        | 306 +++++++++++++-------------
 po/pt_BR.po     | 306 +++++++++++++-------------
 po/ro.po        | 306 +++++++++++++-------------
 po/ru.po        | 306 +++++++++++++-------------
 po/sk.po        | 306 +++++++++++++-------------
 po/sl.po        | 306 +++++++++++++-------------
 po/sv.po        | 306 +++++++++++++-------------
 po/tr.po        | 306 +++++++++++++-------------
 po/uk.po        | 306 +++++++++++++-------------
 po/vi.po        | 306 +++++++++++++-------------
 po/zh_CN.po     | 306 +++++++++++++-------------
 po/zh_TW.po     | 306 +++++++++++++-------------
 47 files changed, 6311 insertions(+), 6369 deletions(-)

commit 97952377fb3838ca26a5a20a31c69eac4e1b73ab
Merge: 9b23165b 751e987a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 1 23:37:56 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 751e987aaeff2a8b25491c00058a13eafffd1a76
Merge: d876f65e 173c5737
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 1 23:34:29 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 173c5737fbc6bf6248c60f153b17dcf01be38937
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 30 20:43:25 2022 +0200

    Prefer findClient in two cases: unmap notify and recv ping.

 src/wmmgr.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit dda71e87cdecb487a6b6ec9c106a10b9400f61f2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 30 13:01:01 2022 +0200

    Get rid of the frameContext.

 src/wmapp.cc    | 40 ++++++++++++------------
 src/wmclient.cc | 33 ++------------------
 src/wmframe.cc  |  1 -
 src/wmmgr.cc    | 88 ++++++++++++++++++++++++++++++-----------------------
 src/yxapp.cc    |  2 +-
 src/yxcontext.h |  2 --
 6 files changed, 75 insertions(+), 91 deletions(-)

commit d1feb93fb083a54b790af2f00492582ada12f7fe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 29 10:06:31 2022 +0200

    Automatically detect and prevent race conditions in icesh relating to
    moving and sizing windows for issue #335. Improve the accuracy of the
    "sizeto" command in icesh for issue #335. Add "extents" command to
    icesh. Add "workarea" command to icesh.

 man/icesh.pod |  12 +++-
 src/icesh.cc  | 209 ++++++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 183 insertions(+), 38 deletions(-)

commit b9f05a2b6f38738e352f6efd8fc52963782f1ed3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 27 23:31:42 2022 +0200

    Add markdown and icesh.

 README.md    | 14 ++++++++++----
 README.md.in | 10 ++++++++--
 2 files changed, 18 insertions(+), 6 deletions(-)

commit 26e0de1e550a68e01267df6cffb9239d061de9a5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 27 15:10:27 2022 +0200

    Accept either markdown or asciidoc to generate manual html with CMake.

 doc/CMakeLists.txt | 58 +++++++++++++++++++++++++++++++++++---------------
 1 file changed, 41 insertions(+), 17 deletions(-)

commit 04dd0086a8bbe13fcd5c01acb8668b49854c8892
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 27 06:09:31 2022 +0200

    Drop obsolete wmOccupyAll().

 src/wmframe.cc | 5 -----
 src/wmframe.h  | 1 -
 2 files changed, 6 deletions(-)

commit 59986924ace101f9b5e2ef8ad2c17e5876b8040f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 27 05:59:16 2022 +0200

    Cleanup key grabs.

 man/icewm-keys.pod |  12 -----
 man/icewm.pod      |   8 ++--
 src/bindkey.h      |  11 ++---
 src/wmframe.cc     |  74 ++++++++++++++--------------
 src/wmmgr.cc       | 128 ++++++++++++++++++++++++-------------------------
 src/yconfig.h      |   4 +-
 src/ywindow.cc     |  95 +++++++++++++++++++++---------------
 src/ywindow.h      |   7 +--
 8 files changed, 173 insertions(+), 166 deletions(-)

commit 6a9ea05b14bbb665d3b4efcee6e1ec24b6c97ac8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 21:12:43 2022 +0200

    Cleanup test and prefer markdown manual.

 doc/Makefile.am | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 9a43fc02abc656e79ac4a62b4e0c82acc02c8b1a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 20:59:36 2022 +0200

    Try srcdir.

 doc/Makefile.am | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 44a4bcf82b9392f7a7556a4e58adb6fc46ae68ea
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 20:38:15 2022 +0200

    Also install markdown.

 .github/workflows/cmake.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 104db663eb58a797f1677e0fcbbe55203a934047
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 20:30:30 2022 +0200

    Prevent warnings.

 doc/Makefile.am   | 2 ++
 src/acpustatus.cc | 8 ++++++--
 src/fdomenu.cc    | 7 +++++--
 3 files changed, 13 insertions(+), 4 deletions(-)

commit b706d6aad7936ed3213dcc15115a5141f563b92b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 20:03:14 2022 +0200

    Remove dependency on asciidoc and prefer markdown format for the manual.

 VERSION         |    2 +-
 configure.ac    |   25 +-
 doc/Makefile.am |    6 +-
 doc/icewm.md    | 2558 +++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 2570 insertions(+), 21 deletions(-)

commit fbb8c1b4371c521c993a10dff040ca8b2cb83056
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 19:03:14 2022 +0200

    Support more HTML entities in icehelp.

 src/icehelp.cc | 32 +++++++++++++++++++++++++++-----
 1 file changed, 27 insertions(+), 5 deletions(-)

commit 72ecc8d87627f0a5b6c2cc4e25dc50db2e656e49
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 18:05:27 2022 +0200

    WindowMaker dock apps are supported.

 TODO | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40cf52e4786a3f73d1908743ad9883496ee21f85
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 16:19:16 2022 +0200

    Complete -e option.

 src/genpref.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 80a4a852ad6949756ab961329477c6f85049a1d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 16:05:31 2022 +0200

    Add key bindings for single window tiling operations for issues
    bbidulock/icewm#335, ice-wm/icewm#74 and ice-wm/icewm#84.

 man/icewm.pod   | 36 +++++++++++++++++++++++++
 src/bindkey.h   | 36 ++++++++++++++++++-------
 src/default.h   |  9 +++++++
 src/genpref.cc  | 10 ++++++-
 src/movesize.cc | 18 +++++++++++++
 src/wmapp.cc    | 26 ++++++++----------
 src/wmframe.cc  |  9 +++++++
 src/ywindow.cc  | 78 ++++++++++++++++++++++++++++-------------------------
 8 files changed, 160 insertions(+), 62 deletions(-)

commit 79ee5df4cf487558e1b6e6e1aef6f9141804aa03
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 13:16:58 2022 +0200

    Keep accurate track of window changes in workspace buttons for
    PagerShowPreview.  Only redraw affected workspace buttons, which reduces
    the total number of workspace button redraws, especially for larges
    number of workspace buttons.

 src/aworkspaces.cc |  31 +++++++++----
 src/aworkspaces.h  |   9 +++-
 src/decorate.cc    |   2 +-
 src/movesize.cc    |   2 +-
 src/wmframe.cc     |  41 +++++++++++------
 src/wmmgr.cc       | 116 ++++++++++++++++++++++++-------------------------
 src/wmmgr.h        |  21 +++++----
 src/wmtaskbar.cc   |   5 ++-
 src/wmtaskbar.h    |   4 +-
 src/wmwinlist.cc   |   2 +-
 10 files changed, 134 insertions(+), 99 deletions(-)

commit 5a3f36f2e082fa4edfc3ab287d2eef514d77baa4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 26 13:15:45 2022 +0200

    Permit percentages to have comma's in icesh.

 src/icesh.cc | 34 ++++++++++++++++++++++++++--------
 1 file changed, 26 insertions(+), 8 deletions(-)

commit 9b23165b88e4104be210406130f13303f7fe3ecf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 18 22:55:37 2022 +0200

    Prepare 2.9.8 release

 AUTHORS      |   5 +-
 ChangeLog    | 625 ++++++++++++++++++++++++++++---------------------------
 NEWS         |  90 ++++----
 README.md    |  36 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     | 104 ++++-----
 po/be.po     | 104 ++++-----
 po/bg.po     | 104 ++++-----
 po/ca.po     | 104 ++++-----
 po/cs.po     | 104 ++++-----
 po/da.po     | 104 ++++-----
 po/de.po     | 104 ++++-----
 po/el.po     | 104 ++++-----
 po/en.po     | 104 ++++-----
 po/es.po     | 104 ++++-----
 po/fi.po     | 104 ++++-----
 po/fr.po     | 104 ++++-----
 po/he.po     | 104 ++++-----
 po/hr.po     | 104 ++++-----
 po/hu.po     | 104 ++++-----
 po/icewm.pot | 106 +++++-----
 po/id.po     | 104 ++++-----
 po/it.po     | 104 ++++-----
 po/ja.po     | 104 ++++-----
 po/ko.po     | 104 ++++-----
 po/lt.po     | 104 ++++-----
 po/lv.po     | 104 ++++-----
 po/mk.po     | 130 ++++++------
 po/nb.po     | 104 ++++-----
 po/nl.po     | 104 ++++-----
 po/no.po     | 104 ++++-----
 po/pl.po     | 104 ++++-----
 po/pt.po     | 104 ++++-----
 po/pt_BR.po  | 104 ++++-----
 po/ro.po     | 104 ++++-----
 po/ru.po     | 104 ++++-----
 po/sk.po     | 104 ++++-----
 po/sl.po     | 104 ++++-----
 po/sv.po     | 134 ++++++------
 po/tr.po     | 104 ++++-----
 po/uk.po     | 104 ++++-----
 po/vi.po     | 104 ++++-----
 po/zh_CN.po  | 104 ++++-----
 po/zh_TW.po  | 104 ++++-----
 46 files changed, 2454 insertions(+), 2430 deletions(-)

commit 4427e35bc1f5cd99ee10866aa8c63aee4514d56a
Merge: 8d8acc27 d876f65e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 18 22:49:35 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit d876f65e770947bd8cd251f69c36e4fcc20153bb
Merge: 9dd5a5aa 16ffd8ce
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 18 22:47:07 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 16ffd8ce178017979f7581bff280a0259a943c34
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 18 22:09:32 2022 +0200

    Clarify which preferences are themable in icewm-preferences(5).

 man/icewm-preferences.pod | 54 +++++++++++++++++++++----------------------
 1 file changed, 27 insertions(+), 27 deletions(-)

commit 31b9785885b49ae57261f99fd5fa41bd7d80fe15
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 18 20:42:02 2022 +0200

    Preserve errno in testOnce.

 src/yarray.cc | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit 73c688eca63f9dcb51f363a7f70a3c076dd26af6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 8 07:22:51 2022 +0200

    Restore prettyClock as false.

 src/themable.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a47b3cfdaeb5fb92b4fe8d4a805fffb1e2b89ec9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 8 07:11:24 2022 +0200

    Make TaskBarGraphHeight themable for issue #659.

 src/default.h  | 2 --
 src/themable.h | 6 ++----
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 148e06e91b31fd82cacf984e44bff30a38a67bf1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 24 00:28:57 2022 +0200

    Don't convert XA_STRING in icesh.

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d95c8e2c0ce3f17f9bf4b75bb37fe72017b2ee54
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 23 21:03:57 2022 +0200

    Restore 2.5.0 container handling of button presses for issue #649.

 src/wmcontainer.cc | 53 +++++++++++++++++++++++++-------------------------
 1 file changed, 26 insertions(+), 27 deletions(-)

commit c509b12f0e6ddf1e972715470d33a8460aacfefb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 23 21:01:08 2022 +0200

    Update grouping menu when removing a task.

 src/atasks.cc | 51 ++++++++++++++++++++++++++++++++++++++++++++-------
 src/atasks.h  |  2 ++
 2 files changed, 46 insertions(+), 7 deletions(-)

commit 42c8495d773747c90a4030c814ca6c9670644e27
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 20 20:08:50 2022 +0200

    Don't convert XA_STRING names to current locale for issue #26.

 src/yxapp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f505e8e78cb54bb151cc1deba04158bc5136d922
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 20 19:00:37 2022 +0200

    Update the grouping menu when tasks are added or removed.

 src/atasks.cc | 27 ++++++++++++++++++++++++++-
 src/ymenu.cc  |  6 ++++++
 src/ymenu.h   |  4 +++-
 3 files changed, 35 insertions(+), 2 deletions(-)

commit 8a2f517ae54283a36348fa6bb7bf16535bb38823
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 20 00:26:28 2022 +0200

    Do without pair array.

 src/atasks.cc | 14 ++++++--------
 src/atasks.h  |  4 ++--
 2 files changed, 8 insertions(+), 10 deletions(-)

commit d11e2071f181741c4a659cd216d449d3c9f1fa4f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 17 19:05:30 2022 +0200

    Let TaskBarShowAllWindows influence TaskBarTaskGrouping for issue #560.
    Improve truncation of titles for TaskBarTaskGrouping in issue #658.

 src/atasks.cc | 67 +++++++++++++++++++++++++++++++++++++------------------
 src/atasks.h  |  3 +++
 2 files changed, 48 insertions(+), 22 deletions(-)

commit 1d5b73c41305507514df1b6b809523c8614fd202
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 17 18:48:20 2022 +0200

    Prevent warnings.

 src/acpustatus.cc | 4 ++--
 src/fdomenu.cc    | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 58511533a640631ff3cb26f21a6f2704217cb045
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 16 03:49:04 2022 +0200

    Support COMPOUND_TEXT title names and non-ascii characters in WM_NAME
    strings in icesh. Limit window dimensions to 32732 in icesh.

 src/icesh.cc | 54 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 49 insertions(+), 5 deletions(-)

commit 533893fd694bd2dbaa7879b32b8f9081c700db86
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 15 19:12:21 2022 +0200

    Add support for COMPOUND_TEXT title names and for non-ascii characters
    in WM_NAME strings for issue #26.

 src/wmclient.cc | 20 ++++----------------
 src/ywindow.h   |  1 +
 src/yxapp.cc    | 29 ++++++++++++++++++++++-------
 src/yxapp.h     |  4 +++-
 4 files changed, 30 insertions(+), 24 deletions(-)

commit 6dffdabb2d4c91f347d9b45e9fab1f6f5c5fe0d0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 15 19:11:58 2022 +0200

    Remove unused setTitle from YMsgBox.

 src/ymsgbox.cc | 4 ----
 src/ymsgbox.h  | 1 -
 2 files changed, 5 deletions(-)

commit 207c7c8a98504ae288e2d7f0e49fa51c93acbd9d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 13 22:10:02 2022 +0200

    When showing the desktop, also minimize a focused fullscreen window.

 src/wmmgr.cc | 27 ++++++++++++++++++++++-----
 src/wmmgr.h  |  2 +-
 2 files changed, 23 insertions(+), 6 deletions(-)

commit 5f8636fa7981aa7b8f9bed7ec5ca62bfa8f45fe3
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Tue May 31 14:55:28 2022 +0000

    Translated using Weblate (Swedish)

    Currently translated at 97.8% (506 of 517 strings)

 po/sv.po | 135 ++++++++++++++++++++++++-----------------------------------
 1 file changed, 55 insertions(+), 80 deletions(-)

commit 135ec1d1491d1b803ede8cceb4c9c1944369b5c7
Author: Kristijan Fremen Velkovski <me@krisfremen.com>
Date:   Thu May 26 02:14:30 2022 +0000

    Translated using Weblate (Macedonian)

    Currently translated at 34.6% (179 of 517 strings)

 po/mk.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit ddff30ea3fe265730ea3c994afc105a11cf9f5f0
Author: Kristijan Fremen Velkovski <me@krisfremen.com>
Date:   Tue May 24 06:45:30 2022 +0000

    Translated using Weblate (Macedonian)

    Currently translated at 33.2% (172 of 517 strings)

 po/mk.po | 51 ++++++++++++++++++++++++++-------------------------
 1 file changed, 26 insertions(+), 25 deletions(-)

commit 3cbbbe59ef7170d7c3fe7032227f77d681a39d00
Author: nathannaveen <42319948+nathannaveen@users.noreply.github.com>
Date:   Sat May 21 02:08:25 2022 -0500

    chore: Set permissions for GitHub actions (#654)

    Restrict the GitHub token permissions only to the required ones; this
    way, even if the attackers will succeed in compromising your workflow,
    they won’t be able to do much.

    - Included permissions for the action.
    https://github.com/ossf/scorecard/blob/main/docs/checks.md#token-permissions

    https://docs.github.com/en/actions/using-workflows/workflow-syntax-for-github-actions#permissions

    https://docs.github.com/en/actions/using-jobs/assigning-permissions-to-jobs

    [Keeping your GitHub Actions and workflows secure Part 1: Preventing pwn
    requests](https://securitylab.github.com/research/github-actions-preventing-pwn-requests/)

    Signed-off-by: nathannaveen
    <42319948+nathannaveen@users.noreply.github.com>

 .github/workflows/cmake.yml | 3 +++
 1 file changed, 3 insertions(+)

commit dde83051c461f76114b2f2d5c78a1fb66b1e4367
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 12 04:52:25 2022 +0200

    Don't create ~/.icewm, unless required to save a file.

 src/wmconfig.cc |  2 +-
 src/wmsave.cc   |  2 +-
 src/yapp.cc     | 13 ++++++++++---
 src/yapp.h      |  3 ++-
 4 files changed, 14 insertions(+), 6 deletions(-)

commit 45b55c2068170143390169fb6d5beea4fa4a3f07
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 12 04:50:04 2022 +0200

    If there is no WM active, then a restart will start icewm.

 man/icewm.pod   |  3 ++-
 man/icewmbg.pod |  3 ++-
 src/wmapp.cc    | 19 +++++++++++++++++--
 3 files changed, 21 insertions(+), 4 deletions(-)

commit 5d1c9b03e9f07b04edc506e5195d823715158870
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 10 17:09:19 2022 +0200

    Omit trailing dot in CPU temperature and add centigrade symbol for
    issue #652.

 src/acpustatus.cc | 185 ++++++++++++++++++++++++++++++++++++++------------
 src/acpustatus.h  |  13 ++--
 2 files changed, 149 insertions(+), 49 deletions(-)

commit 8d8acc27387f1b5463cbc8c105b3fdfc38f6c53d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 2 00:48:19 2022 +0200

    Prepare 2.9.7 release

 AUTHORS      |  13 +-
 ChangeLog    | 686 +++++++++++++++++++++++++++----------------------------
 NEWS         | 199 +++++-----------
 README.md    |  36 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  18 +-
 po/be.po     |  18 +-
 po/bg.po     |  18 +-
 po/ca.po     |  18 +-
 po/cs.po     | 112 ++++-----
 po/da.po     | 116 +++++-----
 po/de.po     | 112 ++++-----
 po/el.po     |  18 +-
 po/en.po     |  18 +-
 po/es.po     |  18 +-
 po/fi.po     | 112 ++++-----
 po/fr.po     | 112 ++++-----
 po/he.po     |  18 +-
 po/hr.po     |  18 +-
 po/hu.po     |  18 +-
 po/icewm.pot |  20 +-
 po/id.po     |  18 +-
 po/it.po     |  18 +-
 po/ja.po     |  18 +-
 po/ko.po     |  18 +-
 po/lt.po     |  18 +-
 po/lv.po     |  18 +-
 po/mk.po     |  18 +-
 po/nb.po     |  18 +-
 po/nl.po     |  18 +-
 po/no.po     |  18 +-
 po/pl.po     |  18 +-
 po/pt.po     |  18 +-
 po/pt_BR.po  |  18 +-
 po/ro.po     |  18 +-
 po/ru.po     | 112 ++++-----
 po/sk.po     |  18 +-
 po/sl.po     |  18 +-
 po/sv.po     |  18 +-
 po/tr.po     | 112 ++++-----
 po/uk.po     |  18 +-
 po/vi.po     |  18 +-
 po/zh_CN.po  |  18 +-
 po/zh_TW.po  |  18 +-
 46 files changed, 1102 insertions(+), 1212 deletions(-)

commit 5bd1082a493be203358ca5af7e2a687a85b9c245
Merge: 3cb28f60 9dd5a5aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 2 00:40:29 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 9dd5a5aae0eab5fc9bea5fb424b4d28d415e8a24
Merge: e63c67a6 6db922b6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 2 00:38:47 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 6db922b6a7582e4e06fd8568739fc0e638454ea3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 1 12:34:23 2022 +0200

    Fix for saving keyboard layouts in --rewrite-preferences.

 src/wmsave.cc | 1 +
 1 file changed, 1 insertion(+)

commit afaa5192a49472e5c692c1c9cfa55952431f90b9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 1 00:49:51 2022 +0200

    Faster and more reliable restart of icewmbg.

 src/icewmbg.cc      | 73 +++++++++++++++++++++++++++++++++++++++++--------
 src/icewmbg_prefs.h |  2 +-
 2 files changed, 63 insertions(+), 12 deletions(-)

commit 7f02ed5a4da7a156edd2f6e4768eb0f655cec6dd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 1 00:48:46 2022 +0200

    Add themable ColorKeyboardLayoutText.

 man/icewm-preferences.pod | 6 +++++-
 src/akeyboard.cc          | 2 +-
 src/themable.h            | 4 +++-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 54224aac565f48f94550827670ab69a6dd1dcf91
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 22 23:39:57 2022 +0200

    Add KeySysKeyboardNext to switch to next keyboard layout for issue
    ice-wm/icewm#90.

 man/icewm.pod | 9 +++++++--
 src/bindkey.h | 2 ++
 src/default.h | 1 +
 src/wmmgr.cc  | 6 ++++++
 4 files changed, 16 insertions(+), 2 deletions(-)

commit a5052c7f2273b23c5b34a1e28c985239545f075e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 22 23:38:19 2022 +0200

    Use the ColorClockText for keyboard status for issue ice-wm/icewm#90.

 src/akeyboard.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9b093e7172da49c86ad56e725deeeea585c0443
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 19 18:25:42 2022 +0200

    Document alternative keypad handling in icewm-keys(1).

 man/icewm-keys.pod | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit a27a9db8eba708247cd904ee73b4d700a298a103
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 19 18:24:38 2022 +0200

    Handle right-to-left languages in icewm-menu-fdo.

 src/fdomenu.cc | 34 ++++++++++++++++++++++++++++++----
 1 file changed, 30 insertions(+), 4 deletions(-)

commit a1aa0dc479f89e07debafae7c8bd06017a130b2e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 19 09:47:02 2022 +0200

    Check if the case insensitive GenericName is not in the Name field,
    for issue #646.

 src/fdomenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2cabaeb3829a813001e1f01ee01fd51c5b26e4d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 18 00:00:12 2022 +0200

    Update help usage for icewm-menu-fdo.

 src/fdomenu.cc | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit f15a1a0906869059942e95d4eea2393e1ddbac38
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 17 23:48:25 2022 +0200

    Prefer head2 over head1 in pod files.

 man/icehelp.pod            | 16 ++++++++--------
 man/icesh.pod              | 26 +++++++++++++-------------
 man/icesound.pod           | 18 +++++++++---------
 man/icewm-env.pod          | 18 +++++++++---------
 man/icewm-focus_mode.pod   | 18 +++++++++---------
 man/icewm-keys.pod         | 18 +++++++++---------
 man/icewm-menu-fdo.pod     | 28 ++++++++++++++--------------
 man/icewm-menu-xrandr.pod  | 16 ++++++++--------
 man/icewm-menu.pod         | 18 +++++++++---------
 man/icewm-preferences.pod  | 18 +++++++++---------
 man/icewm-prefoverride.pod | 14 +++++++-------
 man/icewm-programs.pod     | 18 +++++++++---------
 man/icewm-session.pod      | 20 ++++++++++----------
 man/icewm-set-gnomewm.pod  | 14 +++++++-------
 man/icewm-shutdown.pod     | 14 +++++++-------
 man/icewm-startup.pod      | 16 ++++++++--------
 man/icewm-theme.pod        | 18 +++++++++---------
 man/icewm-toolbar.pod      | 18 +++++++++---------
 man/icewm-winoptions.pod   | 20 ++++++++++----------
 man/icewm.pod              | 28 ++++++++++++++--------------
 man/icewmbg.pod            | 20 ++++++++++----------
 man/icewmhint.pod          | 18 +++++++++---------
 man/icewmtray.pod          | 18 +++++++++---------
 23 files changed, 215 insertions(+), 215 deletions(-)

commit d188e71fe5766376760a1af4f9e7be4c8a078928
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 17 20:13:28 2022 +0200

    Add -g,--generic and -o,--output options to icewm-menu-fdo for issue
    #646. Document all icewm-menu-fdo options.

 man/icewm-menu-fdo.pod |  65 ++++++++++++++++----
 man/icewm-menu.pod     |   3 +-
 man/icewm.pod          |   4 +-
 src/fdomenu.cc         | 149 ++++++++++++++++++++++++++-------------------
 4 files changed, 142 insertions(+), 79 deletions(-)

commit aee432cf32c3a67dd431202a73af50501270df68
Author: Jan Papež <honyczek@centrum.cz>
Date:   Wed Apr 6 20:37:34 2022 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (517 of 517 strings)

 po/cs.po | 42 ++++++++++++++++++++----------------------
 1 file changed, 20 insertions(+), 22 deletions(-)

commit 311144a2d19c19d8024bb70ee741686276a7dc21
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 26 14:29:08 2022 +0100

    Fix format string in da.po.

 po/da.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7f545ab8b5412c8bae637a28501ee7e6dd68ad1b
Author: Alexander Mortensen <Mortensen.alexander@gmail.com>
Date:   Wed Mar 23 16:35:25 2022 +0000

    Translated using Weblate (Danish)

    Currently translated at 99.8% (516 of 517 strings)

 po/da.po | 181 +++++++++++++++++++++++------------------------------------
 1 file changed, 71 insertions(+), 110 deletions(-)

commit 21b4def2ffc7f83d4ccc724ab8b3d9774ed03792
Author: Alexander Mortensen <Mortensen.alexander@gmail.com>
Date:   Wed Mar 23 16:12:39 2022 +0000

    Translated using Weblate (Danish)

    Currently translated at 90.1% (466 of 517 strings)

 po/da.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit a6aa10b27cfae56c12894c3d662966a950c93b09
Author: Sergey Mashkov <cy6ergn0m@gmail.com>
Date:   Tue Mar 15 23:20:16 2022 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (517 of 517 strings)

 po/ru.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit a4a6ab11395242aeee6e13bbcfec824f53ff412d
Author: Tommi Nieminen <software@legisign.org>
Date:   Thu Mar 10 13:03:01 2022 +0000

    Translated using Weblate (Finnish)

    Currently translated at 86.0% (445 of 517 strings)

 po/fi.po | 346 +++++++++++++++++++++++++++--------------------------------
 1 file changed, 158 insertions(+), 188 deletions(-)

commit efab2afcd4509e1cb8af4fb60a5e2d7b3b5bcd50
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Sat Mar 5 13:41:32 2022 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (517 of 517 strings)

 po/tr.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 271af0b874a6b96ffe69a8e7a350001ff827125a
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Sat Mar 5 08:06:17 2022 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (517 of 517 strings)

 po/tr.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ffc40dda8be478bc397d9fbc480fdfda62a999ab
Author: Tommi Nieminen <software@legisign.org>
Date:   Fri Mar 4 09:00:06 2022 +0000

    Translated using Weblate (Finnish)

    Currently translated at 55.5% (287 of 517 strings)

 po/fi.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit c822e186f4785be738a816c8f4ce27a6ee9dbcf6
Author: Gemineo <vistatec@gemineo.de>
Date:   Fri Mar 4 11:11:33 2022 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (517 of 517 strings)

 po/de.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5d26d18ebbfbf14914cb3f261ab91e590a1f9bf0
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Tue Mar 1 17:40:56 2022 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (517 of 517 strings)

 po/tr.po | 118 ++++++++++++++++++++++++++++-------------------------------
 1 file changed, 55 insertions(+), 63 deletions(-)

commit e021b213612edcdcf9244fc60881dff0e4eff80b
Author: Sophie Leroy <sophie@stoquart.com>
Date:   Wed Feb 23 16:53:53 2022 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (517 of 517 strings)

 po/fr.po | 42 ++++++++++++++++++++----------------------
 1 file changed, 20 insertions(+), 22 deletions(-)

commit 3cb28f607e2d817833c55ad891a1501432bcc82d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Feb 23 19:19:26 2022 +0100

    Prepare 2.9.6 release

 AUTHORS      |  14 +-
 ChangeLog    | 635 +++++++++++++++++++++++++++----------------------------
 NEWS         | 134 +++++-------
 README.md    |  36 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  88 ++++----
 po/be.po     |  88 ++++----
 po/bg.po     |  88 ++++----
 po/ca.po     |  88 ++++----
 po/cs.po     |  88 ++++----
 po/da.po     |  88 ++++----
 po/de.po     | 102 ++++-----
 po/el.po     |  88 ++++----
 po/en.po     |  88 ++++----
 po/es.po     | 106 +++++-----
 po/fi.po     |  88 ++++----
 po/fr.po     |  88 ++++----
 po/he.po     |  88 ++++----
 po/hr.po     |  88 ++++----
 po/hu.po     |  88 ++++----
 po/icewm.pot |  90 ++++----
 po/id.po     |  88 ++++----
 po/it.po     | 130 ++++++------
 po/ja.po     |  88 ++++----
 po/ko.po     |  88 ++++----
 po/lt.po     |  88 ++++----
 po/lv.po     |  88 ++++----
 po/mk.po     |  88 ++++----
 po/nb.po     |  88 ++++----
 po/nl.po     |  88 ++++----
 po/no.po     |  88 ++++----
 po/pl.po     |  88 ++++----
 po/pt.po     |  88 ++++----
 po/pt_BR.po  | 118 +++++------
 po/ro.po     |  88 ++++----
 po/ru.po     |  88 ++++----
 po/sk.po     |  88 ++++----
 po/sl.po     |  88 ++++----
 po/sv.po     |  88 ++++----
 po/tr.po     |  88 ++++----
 po/uk.po     |  88 ++++----
 po/vi.po     |  88 ++++----
 po/zh_CN.po  |  98 ++++-----
 po/zh_TW.po  |  98 ++++-----
 46 files changed, 2171 insertions(+), 2220 deletions(-)

commit 68f15fe2fe57dcc57847fe8b0984d07d9af5e9fe
Merge: 842af4cd e63c67a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Feb 23 19:09:30 2022 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit e63c67a69d567b9bfcf1ab56436e82bd1a73a677
Merge: c8ee5c87 714b979d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Feb 23 19:08:03 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 714b979de132369165830a4b6f0fd132a7eb4cd6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Feb 23 08:34:22 2022 +0100

    Update keys.

 man/icewm-keys.pod | 36 ++++++++++++++++++++++++++----------
 1 file changed, 26 insertions(+), 10 deletions(-)

commit b17b5df2dccbadcaf038a99771446b87ed4b04e0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 22 22:18:00 2022 +0100

    Support workspace names "next" and "prev" in icesh for issue #640.

 man/icesh.pod |  6 ++++--
 src/icesh.cc  | 15 +++++++++++++--
 2 files changed, 17 insertions(+), 4 deletions(-)

commit 23b22a34be918d456e0d08f6610c89108b62afc1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 21 23:46:24 2022 +0100

    Let CPUs share a single timer. Adjust to changes to taskBarCPUSamples.

 src/acpustatus.cc | 22 ++++++++++++++++++----
 src/acpustatus.h  |  5 ++++-
 2 files changed, 22 insertions(+), 5 deletions(-)

commit c7fbd3ec3132ee5f916f85c72a581ff58e83b310
Author: Antonio Simón <antonio@trans-mission.com>
Date:   Mon Feb 21 19:41:05 2022 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (517 of 517 strings)

 po/es.po | 133 ++++++++++++++++++++++++-----------------------------------
 1 file changed, 55 insertions(+), 78 deletions(-)

commit 4b7916c6169fd7fbf765621f18ac5438de359c9f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 21 22:44:17 2022 +0100

    Share a single temperature object and free it on exit.

 src/acpustatus.cc | 11 ++++++++++-
 src/acpustatus.h  |  5 +++--
 2 files changed, 13 insertions(+), 3 deletions(-)

commit c90772630a18dcd0e876e9b453d14ea5a61f7dbf
Author: Gemineo <vistatec@gemineo.de>
Date:   Mon Feb 21 16:12:00 2022 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (517 of 517 strings)

 po/de.po | 52 +++++++++++-----------------------------------------
 1 file changed, 11 insertions(+), 41 deletions(-)

commit 4f1fb8da47a613181a6113cdea83055651d1d4b9
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Mon Feb 21 10:33:49 2022 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (517 of 517 strings)

 po/it.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7a2d2c50b363f38cfd9a82fba938980d28f76985
Author: Gemineo <vistatec@gemineo.de>
Date:   Mon Feb 21 07:54:33 2022 +0000

    Translated using Weblate (German)

    Currently translated at 94.0% (486 of 517 strings)

 po/de.po | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 2a70667a9bd9905308bf834fb097df6ca5d44dae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 20 19:46:38 2022 +0100

    Prioritize the thermal zones when showing CPU temperature.

 src/acpustatus.cc | 211 +++++++++++++++++++++++++++++++++++++-------------
 src/acpustatus.h  |   3 +-
 2 files changed, 159 insertions(+), 55 deletions(-)

commit d75643a3fb84dec2534402d07d401dbcbd9a1dc8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 18 19:23:43 2022 +0100

    Fix format string in zh_TW to restore build.

 po/zh_TW.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7113e67317fedcebe8926460805910da441890f4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 18 19:20:40 2022 +0100

    Fix format string in zh_CN to restore build and closes #639.

 po/zh_CN.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e59759cdf65732a828ef0711e39dd10595f23ef
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Fri Feb 18 08:06:28 2022 +0000

    Translated using Weblate (Chinese (Taiwan) (zh_TW))

    Currently translated at 100.0% (517 of 517 strings)

 po/zh_TW.po | 154 ++++++++++++++++++++++++--------------------------------
 1 file changed, 66 insertions(+), 88 deletions(-)

commit 373089cb582c0e3cfdbc7f45e20d7fb46ef16293
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Fri Feb 18 10:22:16 2022 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (517 of 517 strings)

 po/it.po | 37 +++++++++++++++++++------------------
 1 file changed, 19 insertions(+), 18 deletions(-)

commit d5e46bd0996cc0c705b18a36ada24b69162b17da
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Fri Feb 18 03:27:54 2022 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 100.0% (517 of 517 strings)

 po/zh_CN.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a47f37e82b4bc64cd57016c0a917198d0b88ed0d
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Thu Feb 17 13:42:39 2022 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (517 of 517 strings)

 po/it.po | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

commit 3223cb333547d73684219ff5b0671e17be27834d
Author: Gemineo <vistatec@gemineo.de>
Date:   Wed Feb 16 09:28:58 2022 +0000

    Translated using Weblate (German)

    Currently translated at 94.0% (486 of 517 strings)

 po/de.po | 96 ++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 57 insertions(+), 39 deletions(-)

commit 6111dbc01cc2af4b84e79d437ac666994f07adec
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Wed Feb 16 05:41:04 2022 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 100.0% (517 of 517 strings)

 po/zh_CN.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e4413e7ff0a0b35465c1ab7676e2a310b64a053
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Wed Feb 16 02:02:45 2022 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 100.0% (517 of 517 strings)

 po/zh_CN.po | 128 +++++++++++++++++++++++---------------------------------
 1 file changed, 52 insertions(+), 76 deletions(-)

commit ccb29da7896e1b6fb5eb82c4685e10345e5b7c0f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 13 17:25:23 2022 +0100

    Start a new fullscreen client in the fullscreen layer for issue
    ice-wm/icewm#85.

 src/wmmgr.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit 64502fa978e62a7547dc1d58f35332b184e48215
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Wed Feb 2 00:29:15 2022 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (517 of 517 strings)

 po/pt_BR.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 276b622a70e6165b7679b4d42d7cd79a53b35eb0
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Tue Feb 1 16:44:59 2022 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (517 of 517 strings)

 po/pt_BR.po | 50 +++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

commit 56363001922e9054bf8c0443c4bf342b937948e7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 31 22:36:11 2022 +0100

    Lower a fullscreen window below the window which is to be activated.

 src/wmframe.cc | 12 ++++++++++++
 src/wmframe.h  |  1 +
 2 files changed, 13 insertions(+)

commit 352cfb5407d870ff9568688aeb2a95f7f70f029c
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Wed Jan 26 12:39:12 2022 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (517 of 517 strings)

 po/pt_BR.po | 305 +++++++++++++++++++++++++++-----------------------------
 1 file changed, 149 insertions(+), 156 deletions(-)

commit 842af4cd556b4586747bb70002f87be670c5f467
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 20 02:41:10 2022 +0100

    Prepare 2.9.5 release

 AUTHORS      |  15 +-
 ChangeLog    | 621 ++++++++++++++++++++++++++++++-------------------------
 NEWS         | 151 +++++---------
 README.md    |  36 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  12 +-
 po/be.po     |  12 +-
 po/bg.po     |  12 +-
 po/ca.po     |  12 +-
 po/cs.po     |  12 +-
 po/da.po     |  12 +-
 po/de.po     |  12 +-
 po/el.po     |  12 +-
 po/en.po     |  12 +-
 po/es.po     |  12 +-
 po/fi.po     |  12 +-
 po/fr.po     |  12 +-
 po/he.po     |  12 +-
 po/hr.po     |  12 +-
 po/hu.po     |  12 +-
 po/icewm.pot |  14 +-
 po/id.po     |  12 +-
 po/it.po     |  12 +-
 po/ja.po     |  12 +-
 po/ko.po     |  12 +-
 po/lt.po     |  12 +-
 po/lv.po     |  12 +-
 po/mk.po     |  12 +-
 po/nb.po     |  12 +-
 po/nl.po     |  12 +-
 po/no.po     |  12 +-
 po/pl.po     |  12 +-
 po/pt.po     |  12 +-
 po/pt_BR.po  |  12 +-
 po/ro.po     |  12 +-
 po/ru.po     |  12 +-
 po/sk.po     |  12 +-
 po/sl.po     |  12 +-
 po/sv.po     |  12 +-
 po/tr.po     |  12 +-
 po/uk.po     |  12 +-
 po/vi.po     |  12 +-
 po/zh_CN.po  |  12 +-
 po/zh_TW.po  |  12 +-
 46 files changed, 660 insertions(+), 647 deletions(-)

commit 851261a0e106ae2eba8bc72803746a1ddb4d6094
Merge: 9473665e c8ee5c87
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 20 02:35:29 2022 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit c8ee5c877883d9ad69694d047cd6b1ec6e2616ad
Merge: f517af3d 6359670d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 20 02:34:25 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 6359670db9693d051c96c051a09688a00f81ec37
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 20 02:33:49 2022 +0100

    Update pot files.

 po/ar.po     | 146 +++++++++++++++++++++++++++----------------------------
 po/be.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/bg.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/ca.po     | 146 +++++++++++++++++++++++++++----------------------------
 po/cs.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/da.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/de.po     | 146 +++++++++++++++++++++++++++----------------------------
 po/el.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/en.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/es.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/fi.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/fr.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/he.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/hr.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/hu.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 144 +++++++++++++++++++++++++++---------------------------
 po/id.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/it.po     | 146 +++++++++++++++++++++++++++----------------------------
 po/ja.po     | 146 +++++++++++++++++++++++++++----------------------------
 po/ko.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/lt.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/lv.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/mk.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/nb.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/nl.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/no.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/pl.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/pt.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/pt_BR.po  | 142 ++++++++++++++++++++++++++---------------------------
 po/ro.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/ru.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/sk.po     | 146 +++++++++++++++++++++++++++----------------------------
 po/sl.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/sv.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/tr.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/uk.po     | 146 +++++++++++++++++++++++++++----------------------------
 po/vi.po     | 142 ++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 142 ++++++++++++++++++++++++++---------------------------
 po/zh_TW.po  | 142 ++++++++++++++++++++++++++---------------------------
 39 files changed, 2784 insertions(+), 2784 deletions(-)

commit f517af3d770904c16b19212fb6c753cddb27eeba
Merge: 1cd9805d 4f985ce2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 20 02:16:50 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 4f985ce2b566b37aaf85e5af7485b10c5f7069bf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 18 20:03:26 2022 +0100

    Put a focused fullscreen window back to its normal layer, before activating
    another application.

 src/wmframe.cc | 12 +++++++-----
 src/wmmgr.cc   |  3 +--
 src/wmmgr.h    |  6 ++++++
 3 files changed, 14 insertions(+), 7 deletions(-)

commit d3682aac7f51fdd0c123de755d2478e666f69b13
Author: Paolo Za <zapaolo@email.it>
Date:   Sat Jan 15 07:23:52 2022 +0000

    Translated using Weblate (Italian)

    Currently translated at 98.4% (509 of 517 strings)

 po/it.po | 79 ++++++++++++++++++++++++++----------------------------------
 1 file changed, 34 insertions(+), 45 deletions(-)

commit 7fea3dfe67806f89a38636db146cb797d5f60679
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 12 22:36:39 2022 +0100

    Set the window type of desktop icons and of the dockapps container.

 src/wmdock.cc     | 1 +
 src/wmminiicon.cc | 1 +
 2 files changed, 2 insertions(+)

commit f731a2484ad9be57cd9b37f801ecd79c527e3b2e
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Wed Jan 12 04:15:43 2022 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (517 of 517 strings)

 po/id.po | 36 +++++++++++++++++-------------------
 1 file changed, 17 insertions(+), 19 deletions(-)

commit 79af5f9451f58f11b4a3b223bec3d9d981494507
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Jan 11 12:16:21 2022 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (517 of 517 strings)

 po/pt.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b8fa85534e41215e5da5bbc137a88f75b33700f0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 11 05:17:51 2022 +0100

    Make taskbar unhide more reliable.

 src/wmtaskbar.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 418ef48bddabe47236c0ea1cbebb4fd70b21a6e8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 10 01:19:49 2022 +0100

    Fix OSS / APM confusion in some translations.

 po/da.po    | 4 ++--
 po/el.po    | 4 ++--
 po/es.po    | 4 ++--
 po/fi.po    | 4 ++--
 po/hu.po    | 4 ++--
 po/it.po    | 4 ++--
 po/ko.po    | 4 ++--
 po/sv.po    | 4 ++--
 po/tr.po    | 4 ++--
 po/zh_CN.po | 4 ++--
 po/zh_TW.po | 4 ++--
 11 files changed, 22 insertions(+), 22 deletions(-)

commit 82206a339e6eeaa221e1fe53faaaba9570bc2508
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 10 00:49:49 2022 +0100

    Fix for taskbar on icewm restart when there is a fullscreen window.
    Fix for TaskBarAutoHide. Fix for focusing address bar.

 src/wmtaskbar.cc | 31 +++++++++++++++++++------------
 src/wmtaskbar.h  |  3 ++-
 2 files changed, 21 insertions(+), 13 deletions(-)

commit 618d63e2a1af34757f602bb2e4ab528ad20531f5
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Sun Jan 9 15:07:42 2022 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 98.0% (507 of 517 strings)

 po/pt_BR.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit a71b88bd1cffb529c7a1fb1c122f281a54bc992a
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Sat Jan 8 21:03:42 2022 +0000

    Translated using Weblate (German)

    Currently translated at 94.0% (486 of 517 strings)

 po/de.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit b15db989cb7c84b2158d034f7c1cdd183d5844e9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 6 23:55:44 2022 +0100

    Cancel the DelayPointerFocus timer when the mouse leaves the window.

 src/wmframe.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit b3d48996dad7590ffb10ce9a0a13b077a812277d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 6 19:05:43 2022 +0100

    Remove inefficient management of fullscreen layer.
    Make TaskBarFullscreenAutoShow option more reliable.

 src/wmframe.cc   |  7 ++-----
 src/wmmgr.cc     | 24 +++++-------------------
 src/wmmgr.h      |  5 +----
 src/wmtaskbar.cc | 10 ++++++++--
 src/wmtaskbar.h  |  2 +-
 5 files changed, 17 insertions(+), 31 deletions(-)

commit f0ae6385995128c111f4c59d710278e60b4156ff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 5 19:24:09 2022 +0100

    Fixes to prevent a lockup when activating a do-not-focus output-only
    window on a workspace where no focusable window exists.

 src/wmmgr.cc | 99 ++++++++++++++++++++++++++++++++++++++++++++++++++++----
 src/wmmgr.h  | 14 +++++++-
 2 files changed, 105 insertions(+), 8 deletions(-)

commit 1d600717e2ffb48c293e8cc48fb7e9c96f11f318
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 5 19:21:34 2022 +0100

    When a fullscreen disappears, update the taskbar layer.

 src/wmtaskbar.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 1056ee136679c9f80e3c57271f73fa90d43c28cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 5 19:18:39 2022 +0100

    On startup don't switch workspace to activate a fullscreen window.

 src/wmframe.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 2bf5ab12ef937038d567e20aee61c86962d400fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 5 19:17:11 2022 +0100

    Fix Arabic translation.

 po/ar.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit fb12064f7aa28d41329bb26aef802beba81c9f63
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Jan 4 22:00:43 2022 +0100

    Work around trailers to zero-terminated strings

    At least one monitor vendor seems to hide additional strings in EDID
    monitor description after zero terminator here, which makes the menu
    parser reject such strings due to invalid characters.

 contrib/icewm-menu-xrandr | 1 +
 1 file changed, 1 insertion(+)

commit 40496c0f3ae2276c9b6d6778c8196bcf05a0d0e4
Author: Ghassan <ghassan.alnajjar1984@gmail.com>
Date:   Sat Jan 1 19:56:16 2022 +0000

    Translated using Weblate (Arabic)

    Currently translated at 99.6% (515 of 517 strings)

 po/ar.po | 183 +++++++++++++++++++++++++----------------------------------
 1 file changed, 78 insertions(+), 105 deletions(-)

commit 823319c69a5bf74b5eabcf2bdc31118d9f14731e
Author: Mindaugas Baranauskas <opensuse.lietuviu.kalba@gmail.com>
Date:   Thu Dec 30 19:56:41 2021 +0000

    Translated using Weblate (Lithuanian)

    Currently translated at 41.1% (213 of 517 strings)

 po/lt.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 9473665e6292a9318636b9ff73f5436787bdd8da
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 30 22:21:06 2021 +0100

    Prepare 2.9.4 release

 AUTHORS      |   4 +-
 ChangeLog    | 470 +++++++++++++++++++++++++++----------------------------
 NEWS         |  81 +++++-----
 README.md    |  36 ++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  90 +++++------
 po/be.po     |  90 +++++------
 po/bg.po     |  90 +++++------
 po/ca.po     |  90 +++++------
 po/cs.po     |  90 +++++------
 po/da.po     |  90 +++++------
 po/de.po     |  90 +++++------
 po/el.po     |  90 +++++------
 po/en.po     |  90 +++++------
 po/es.po     |  90 +++++------
 po/fi.po     |  90 +++++------
 po/fr.po     |  90 +++++------
 po/he.po     |  90 +++++------
 po/hr.po     |  90 +++++------
 po/hu.po     |  90 +++++------
 po/icewm.pot |  92 +++++------
 po/id.po     |  90 +++++------
 po/it.po     |  90 +++++------
 po/ja.po     |  90 +++++------
 po/ko.po     |  90 +++++------
 po/lt.po     |  90 +++++------
 po/lv.po     |  90 +++++------
 po/mk.po     |  90 +++++------
 po/nb.po     |  90 +++++------
 po/nl.po     |  90 +++++------
 po/no.po     |  90 +++++------
 po/pl.po     |  90 +++++------
 po/pt.po     |  96 ++++++------
 po/pt_BR.po  |  90 +++++------
 po/ro.po     |  90 +++++------
 po/ru.po     |  90 +++++------
 po/sk.po     |  90 +++++------
 po/sl.po     |  90 +++++------
 po/sv.po     |  90 +++++------
 po/tr.po     |  90 +++++------
 po/uk.po     |  90 +++++------
 po/vi.po     |  90 +++++------
 po/zh_CN.po  |  90 +++++------
 po/zh_TW.po  |  90 +++++------
 46 files changed, 2053 insertions(+), 2070 deletions(-)

commit 0ee1c35550c414fb37c2ce55f83c2cc36268a618
Merge: 14b1f1cd 1cd9805d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 30 22:10:03 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 1cd9805d06aed43c4bf61cd9be15f998a7874e4f
Merge: fcad4ab6 88e708fd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 30 22:09:13 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 88e708fd0c07529a9373748d13682de2e2803e30
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 30 00:39:03 2021 +0100

    Stack all desktop icons below a dedicated bottommost window.

 src/wmmgr.cc      | 18 ++++++++++++------
 src/wmmgr.h       |  2 ++
 src/wmminiicon.cc |  5 ++---
 3 files changed, 16 insertions(+), 9 deletions(-)

commit 5350fe482d31dab8b943da3c12373c154caeeace
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 30 00:37:47 2021 +0100

    Make desktop refresh synchronized to slow it down a bit.

 src/wmapp.cc | 35 ++++++++++++++++++++++++++++-------
 src/wmapp.h  |  1 +
 2 files changed, 29 insertions(+), 7 deletions(-)

commit 2db09061d1c3eda0038309e702d33cf986763567
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 28 22:37:17 2021 +0100

    Fix miniicon stacking for when there is no other window.

 src/wmminiicon.cc | 9 +++++++--
 src/wmminiicon.h  | 1 +
 2 files changed, 8 insertions(+), 2 deletions(-)

commit b262ea3f1226ee2ce022f8f06b9a966ba20be54b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 27 13:27:11 2021 +0100

    Lower desktop icons on startup.

 src/wmmgr.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit b6ba094fab113fdde17c084f6253348e7cb075c9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 25 22:15:47 2021 +0100

    Set icewmbg background color as a pixmap to overcome limitations in picom
    and compton for issue #632.  Also retain a single background pixmap as
    a temporary resource in the X11 server when icewmbg exits.

 src/icewmbg.cc | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit aa1fdaccf2f3ad7655693b7615640c87e76671a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 25 20:00:20 2021 +0100

    Add icesh options +class and +Pid to extend the selection by class or PID.

 man/icesh.pod | 66 ++++++++++++++++++++++++-----------------
 src/icesh.cc  | 87 +++++++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 112 insertions(+), 41 deletions(-)

commit 61d4247b439f6fa2e54e2fc0fdf60f0af9bfa178
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 25 19:21:15 2021 +0100

    Add children.

 src/yxapp.cc | 6 ++++++
 src/yxapp.h  | 1 +
 2 files changed, 7 insertions(+)

commit 10c29c56f95198e08e63d60594b548321f9432cb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 25 19:14:15 2021 +0100

    Improved workaround for 'feh' desktop backgrounds, where its pixmap has
    been marked persistent, for issue #627.

 src/wmapp.cc  |  8 --------
 src/wmapp.h   |  1 -
 src/wmdock.cc |  3 +--
 src/wmmgr.cc  | 48 ++++++++++++++++++++++++++----------------------
 4 files changed, 27 insertions(+), 33 deletions(-)

commit 68f790d55dc4beaa0d870026638d26cca4662bde
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 25 17:42:00 2021 +0100

    Eliminate flicker when resizing frames which have a shape masked border,
    like CoolSteel and Illuminate-ice by enabling bit gravity.

 src/wmframe.cc | 1 +
 1 file changed, 1 insertion(+)

commit 4a82550d25bc4c7a8b6db8ab6469deff4350d358
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 23 21:26:44 2021 +0100

    Minimized windows with startMinimized and ignoreActivationMessages
    require user intervention to become shown.

 src/wmclient.cc    | 2 +-
 src/wmcontainer.cc | 4 +++-
 src/wmframe.cc     | 6 +++++-
 src/wmframe.h      | 2 ++
 4 files changed, 11 insertions(+), 3 deletions(-)

commit a9f85efcb9d25ac89f61981a2ad209f2e600ac28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 23 20:53:05 2021 +0100

    Support focus in subwindows of Globally Active Input applications,
    like full widescreen games for issue ice-wm/icewm#73.

 src/wmframe.cc | 13 +++++++++++++
 src/yxapp.cc   | 15 +++++++++++++++
 src/yxapp.h    |  6 ++----
 3 files changed, 30 insertions(+), 4 deletions(-)

commit 5d91c93d91a8699351af8d48d7979af902e16944
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Dec 22 20:00:37 2021 +0100

    Minimize the number of window restackings for issue #630.

 src/wmmgr.cc    | 10 ++++++++++
 src/wmmgr.h     | 16 ++++++++++++++++
 src/wmswitch.cc |  1 +
 3 files changed, 27 insertions(+)

commit 41ccba2b059f761b4d0002841667ebd41d33a2c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Dec 22 19:59:15 2021 +0100

    Show time of backtrace.

 src/misc.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 37633b7170d3559d3c6b9c5fe21bfcad5c75a8e5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Dec 22 17:34:42 2021 +0100

    Put the active window first in the list of switchable windows for
    issue #631.

 src/wmswitch.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 832ddd23b821718b92cdaa539cfa5d41252f304d
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Tue Dec 21 16:36:18 2021 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (517 of 517 strings)

 po/pt.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 14b1f1cd73ec63b63ca5663e3b4d66ba8e2efdd2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 21 00:52:59 2021 +0100

    Prepare 2.9.3 release

 AUTHORS      |  10 +-
 ChangeLog    | 804 ++++++++++++++++++++++++++++++-------------------------
 NEWS         | 126 +++++----
 README.md    |  36 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  42 +--
 po/be.po     |  42 +--
 po/bg.po     |  42 +--
 po/ca.po     |  46 ++--
 po/cs.po     |  42 +--
 po/da.po     |  42 +--
 po/de.po     |  42 +--
 po/el.po     |  42 +--
 po/en.po     |  42 +--
 po/es.po     |  42 +--
 po/fi.po     |  42 +--
 po/fr.po     |  42 +--
 po/he.po     |  42 +--
 po/hr.po     |  42 +--
 po/hu.po     |  42 +--
 po/icewm.pot |  44 +--
 po/id.po     |  42 +--
 po/it.po     |  42 +--
 po/ja.po     |  46 ++--
 po/ko.po     |  42 +--
 po/lt.po     |  42 +--
 po/lv.po     |  42 +--
 po/mk.po     |  42 +--
 po/nb.po     |  42 +--
 po/nl.po     |  42 +--
 po/no.po     |  42 +--
 po/pl.po     |  42 +--
 po/pt.po     |  42 +--
 po/pt_BR.po  |  42 +--
 po/ro.po     |  42 +--
 po/ru.po     |  42 +--
 po/sk.po     |  46 ++--
 po/sl.po     |  42 +--
 po/sv.po     |  42 +--
 po/tr.po     |  42 +--
 po/uk.po     |  46 ++--
 po/vi.po     |  42 +--
 po/zh_CN.po  |  42 +--
 po/zh_TW.po  |  42 +--
 46 files changed, 1352 insertions(+), 1294 deletions(-)

commit 4001c8eba38bb6d1f54240b84e4500445e175aeb
Merge: d91ddc72 fcad4ab6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 21 00:39:17 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit fcad4ab6e139fffebf6743c8a5e82e71975f0fed
Merge: ad5bc16f 6a1d79a2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 21 00:38:34 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 6a1d79a209c84d11b8dc74a3480647542f044f42
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 20 20:29:31 2021 +0100

    Force the desktop background to be refreshed for 'feh' background pixmaps
    for issue #627.

 src/wmapp.cc | 11 ++++++++++-
 src/wmapp.h  |  1 +
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 0a765e8f5d0718c5009247954e1d681284d7de48
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 20 20:28:36 2021 +0100

    Record when a client frame is unmapped, to not report further errors.

 src/wmclient.cc | 10 ++++++++--
 src/wmclient.h  |  1 +
 2 files changed, 9 insertions(+), 2 deletions(-)

commit cabaebeef1e1a7d3c8bbd6fd19baf10d0b6d6767
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 20 20:26:41 2021 +0100

    Postpone granting focus to applications which use the Globally Active
    Input model, like wine, until all its events have been processed.

 src/wmframe.cc | 26 +++++++++++++-------------
 src/wmframe.h  |  1 +
 2 files changed, 14 insertions(+), 13 deletions(-)

commit 22ae81940c02ef3051fb41eab51532c2334301bf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 20 20:25:51 2021 +0100

    Set fFocusWin to nullptr when a frame is about to lose focus.

 src/wmmgr.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 7be24dfa6cf4ba430714701a41aae81e6fc4864e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 20 20:23:52 2021 +0100

    Postpone requesting focus for icewm internal windows until all create
    and map events have been processed.

 src/wmwinlist.cc | 20 ++++++++++++++++----
 src/wmwinlist.h  |  3 ++-
 src/ydialog.cc   | 21 +++++++++++++++++----
 src/ydialog.h    |  2 ++
 4 files changed, 37 insertions(+), 9 deletions(-)

commit 09cb7bd98a25c2c58871b298a4a6e4a021db0432
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 20 20:21:54 2021 +0100

    Add global 'ignorable' to not report errors for this unmapped client
    window.

 src/yxapp.cc | 29 ++++++++++++++++++-----------
 src/yxapp.h  |  1 +
 2 files changed, 19 insertions(+), 11 deletions(-)

commit ccf0bd5f86be062f2545f952861da4f43e989657
Author: Taras Panchenko <top39@ukr.net>
Date:   Sat Dec 18 18:47:13 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 100.0% (517 of 517 strings)

 po/uk.po | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 08148ff339681f3f4026b57c7d1fc383839c86c4
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat Dec 18 12:18:42 2021 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (517 of 517 strings)

 po/sk.po | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 66d0ae10332b34bedeb6f828212c797697afc0a0
Author: David Medina <medipas@gmail.com>
Date:   Fri Dec 17 11:07:54 2021 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (517 of 517 strings)

 po/ca.po | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 1cba5a6c38f632cd048d64423d7ce6e2c50ddc9e
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Fri Dec 17 03:11:37 2021 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (517 of 517 strings)

 po/ja.po | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 0724f7ec8e599809f33c50ea94f0e328f625c764
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 16 20:45:17 2021 +0100

    Update pot files.

 po/ar.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/be.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/bg.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/ca.po     | 228 ++++++++++++++++++++++++++++++++----------------------
 po/cs.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/da.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/de.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/el.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/en.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/es.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/fi.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/fr.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/he.po     | 230 ++++++++++++++++++++++++++++++++-----------------------
 po/hr.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/hu.po     | 228 ++++++++++++++++++++++++++++++++----------------------
 po/icewm.pot | 226 ++++++++++++++++++++++++++++++++----------------------
 po/id.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/it.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/ja.po     | 228 ++++++++++++++++++++++++++++++++----------------------
 po/ko.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/lt.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/lv.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/mk.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/nb.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/nl.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/no.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/pl.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/pt.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/pt_BR.po  | 224 +++++++++++++++++++++++++++++++----------------------
 po/ro.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/ru.po     | 228 ++++++++++++++++++++++++++++++++----------------------
 po/sk.po     | 228 ++++++++++++++++++++++++++++++++----------------------
 po/sl.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/sv.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/tr.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/uk.po     | 228 ++++++++++++++++++++++++++++++++----------------------
 po/vi.po     | 224 +++++++++++++++++++++++++++++++----------------------
 po/zh_CN.po  | 224 +++++++++++++++++++++++++++++++----------------------
 po/zh_TW.po  | 224 +++++++++++++++++++++++++++++++----------------------
 39 files changed, 5203 insertions(+), 3565 deletions(-)

commit a061b0c16ebf4c13e16b49dc2d774c0ed934bf1a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 16 20:42:38 2021 +0100

    Add a Tile submenu to the title bar menu for issue ice-wm/icewm#74.

 lib/Makefile.am                     |   9 ++++
 lib/icons/tilebottom_48x48.png      | Bin 0 -> 1220 bytes
 lib/icons/tilebottomleft_48x48.png  | Bin 0 -> 1201 bytes
 lib/icons/tilebottomright_48x48.png | Bin 0 -> 1204 bytes
 lib/icons/tilecenter_48x48.png      | Bin 0 -> 1206 bytes
 lib/icons/tileleft_48x48.png        | Bin 0 -> 1198 bytes
 lib/icons/tileright_48x48.png       | Bin 0 -> 1189 bytes
 lib/icons/tiletop_48x48.png         | Bin 0 -> 1222 bytes
 lib/icons/tiletopleft_48x48.png     | Bin 0 -> 1199 bytes
 lib/icons/tiletopright_48x48.png    | Bin 0 -> 1208 bytes
 src/decorate.cc                     |  74 ++++++++++++++++++----------
 src/wmaction.h                      |   9 ++++
 src/wmapp.cc                        |  32 +++++++++++++
 src/wmapp.h                         |  26 +++++-----
 src/wmframe.cc                      |  82 ++++++++++++++++++++++++++++++++
 src/wmframe.h                       |   1 +
 src/wmwinlist.cc                    |   3 +-
 17 files changed, 198 insertions(+), 38 deletions(-)

commit 34c8ec5d6a4f1e3c0c6780ea436228e46ba84f78
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 14 21:53:54 2021 +0100

    Fix for icesh maximize.

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7965d1392a7d06d86636ec13afbf52c7461a0437
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 13 22:58:33 2021 +0100

    Fix compilation without CONFIG_I18N.

 src/ylocale.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 859260767ba06140342ef2d3beb29ed9ee7db36b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 13 22:53:43 2021 +0100

    Initialize locale specific modifiers with XSetLocaleModifiers.

 src/ylocale.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2582a4d38f948a425086b046f810b0f366b7cc98
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 13 22:52:49 2021 +0100

    Denote the language.

 po/lv.po | 2 +-
 po/mk.po | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e52c2cfb752bf417b2319a8c521c4dbf63acbe79
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 12 22:59:17 2021 +0100

    Prevent compiler warnings.

 src/ybidi.h     | 2 +-
 src/yfontbase.h | 2 +-
 src/yfontxft.cc | 4 ++--
 src/ypaint.cc   | 3 ---
 4 files changed, 4 insertions(+), 7 deletions(-)

commit fd85b072379091126ab2ee7d92a9aaf52e810485
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 12 20:23:58 2021 +0100

    Support Unicode and non-Latin text in input fields and the address bar.

 src/CMakeLists.txt |   2 +-
 src/Makefile.am    |   1 +
 src/testlocale.cc  |  49 ++++++++++++----------
 src/themable.h     |   2 +-
 src/wmtaskbar.cc   |   5 ++-
 src/yfontbase.h    |  14 ++++---
 src/yfontcore.cc   |  40 +++++++++++++++++-
 src/yfontxft.cc    |  14 ++++++-
 src/yinputline.cc  |  56 ++++++++++++-------------
 src/yinputline.h   |  13 +++---
 src/ylocale.cc     |  70 +++++++++++++++++++++++++++----
 src/ylocale.h      |   9 ++--
 src/ypaint.cc      |   6 +++
 src/ypaint.h       |   5 ++-
 src/ystring.cc     | 112 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/ystring.h      |  29 ++++++++-----
 16 files changed, 333 insertions(+), 94 deletions(-)

commit 775bb1f4f7ad67d78f0fe3c77d5994bcd698b111
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 12 12:59:07 2021 +0100

    Refresh task pane background on expose events.

 src/atasks.cc | 8 +++++++-
 src/atasks.h  | 2 +-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 568bd8baeec1732eff753f89279a676288d61653
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 12 12:17:49 2021 +0100

    Add font macros for Xft fonts.

 src/fontmacro.h |  8 ++++++++
 src/themable.h  | 34 +++++++++++++++++-----------------
 src/yprefs.h    |  2 +-
 3 files changed, 26 insertions(+), 18 deletions(-)

commit 73561a5f90edb8bec6312cd17e2c7aaa27c9f5a3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 11 12:07:34 2021 +0100

    Immediately create workspace buttons for more reliable taskbar relayouts.

 src/aworkspaces.cc | 30 ++++++++++++++++--------------
 src/aworkspaces.h  |  1 +
 src/yarray.h       |  1 +
 3 files changed, 18 insertions(+), 14 deletions(-)

commit 2a145576699dc10b20483a270495653684e00701
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 11 12:06:39 2021 +0100

    Revert commit 427547115d60d9b41860aa76b27cb8e805ed5d6a "Preferring DejaVu
    fonts for all purposes".

 src/themable.h | 43 +++++++++++++++++--------------------------
 1 file changed, 17 insertions(+), 26 deletions(-)

commit 0638b9f2fb79878f643953978788af8f77b56f1b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Dec 10 16:29:08 2021 +0100

    Initialize the system tray with a valid height for issue #626.  When the
    system tray changes height then start from a vertical position of 1 for
    issue #626.

 src/yxtray.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c70fcded08d099daffe2ffb3e8b7bdbc85a4d901
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Dec 10 16:27:41 2021 +0100

    Only repaint frame when it has borders.

 src/wmframe.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b723f1ca92d327aa9e76ea90123d239f93279416
Author: David Medina <medipas@gmail.com>
Date:   Fri Dec 10 09:33:44 2021 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (507 of 507 strings)

 po/ca.po | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit 427547115d60d9b41860aa76b27cb8e805ed5d6a
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Dec 9 15:36:20 2021 +0100

    Preferring DejaVu fonts for all purposes

    This closes #502 which was mostly solved in 2.9.1 already, however
    quickswitch and input line still failed to render non-ASCII.

    Also adding an easy option for integrators to amend the default font
    sizes.

 src/themable.h | 43 ++++++++++++++++++++++++++-----------------
 1 file changed, 26 insertions(+), 17 deletions(-)

commit 2b0b0fb75ae9dff6e548e79b06572e2d8083eaf9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 9 03:45:41 2021 +0100

    Fix vertical position of systray in taskbar to prevent background glitch
    for issue #626.

 src/yxtray.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b989a3eebd535f50da8c887f00b5eeb07e14254d
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Dec 8 15:59:36 2021 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (507 of 507 strings)

 po/pt.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit d91ddc72cd909c3ce2de49eac9f73471d882b7dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 7 23:50:37 2021 +0100

    Prepare 2.9.2 release

 AUTHORS      |   8 +-
 ChangeLog    | 596 +++++++++++++++++++++++++++++--------------------------
 NEWS         | 121 ++++-------
 README.md    |  36 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  16 +-
 po/be.po     |  16 +-
 po/bg.po     |  16 +-
 po/ca.po     |  16 +-
 po/cs.po     |  16 +-
 po/da.po     |  16 +-
 po/de.po     |  16 +-
 po/el.po     |  16 +-
 po/en.po     |  16 +-
 po/es.po     |  16 +-
 po/fi.po     |  16 +-
 po/fr.po     |  16 +-
 po/he.po     |  16 +-
 po/hr.po     |  16 +-
 po/hu.po     |  16 +-
 po/icewm.pot |  18 +-
 po/id.po     |  16 +-
 po/it.po     |  16 +-
 po/ja.po     |  20 +-
 po/ko.po     |  16 +-
 po/lt.po     |  16 +-
 po/lv.po     |  16 +-
 po/mk.po     |  16 +-
 po/nb.po     |  16 +-
 po/nl.po     |  16 +-
 po/no.po     |  16 +-
 po/pl.po     |  16 +-
 po/pt.po     |  16 +-
 po/pt_BR.po  |  16 +-
 po/ro.po     |  16 +-
 po/ru.po     |  20 +-
 po/sk.po     |  20 +-
 po/sl.po     |  16 +-
 po/sv.po     |  16 +-
 po/tr.po     |  16 +-
 po/uk.po     |  20 +-
 po/vi.po     |  16 +-
 po/zh_CN.po  |  16 +-
 po/zh_TW.po  |  16 +-
 46 files changed, 705 insertions(+), 712 deletions(-)

commit 56e90a031d03cad4702d67fdb91619641b919668
Merge: 1bcf0ed3 ad5bc16f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 7 23:46:58 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit ad5bc16f34196c543470e11e9cc72425f78c46f3
Merge: 99719a51 6a89b353
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 7 23:46:05 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 6a89b353df777c389f471e7fd9a71ad013bb300c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 7 23:00:23 2021 +0100

    Postpone XFreeFontSet until names are no longer needed.

 src/yfontcore.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa9257bcbf77a2d5f934fdf98ff271be32b2fa16
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 7 01:15:15 2021 +0100

    Improve explanation for TimeFormat and give an example.

 man/icewm-preferences.pod | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 0ea5a3c5cba86e9b9609614fc1dd013e03fc909c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 6 21:03:55 2021 +0100

    Add support for multiple clocks in different time zones.

 man/icewm-preferences.pod |   6 +-
 src/aclock.cc             | 183 +++++++++++++++++++++++++++++-------------
 src/aclock.h              |  24 +++++-
 src/wmprog.cc             |   2 +-
 src/wmtaskbar.cc          |   9 ++-
 src/wmtaskbar.h           |   6 +-
 src/yarray.h              |   7 ++
 7 files changed, 170 insertions(+), 67 deletions(-)

commit 4315aa3c831bafbbe1303324dd8a73c9483eda18
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Dec 6 08:54:29 2021 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (507 of 507 strings)

 po/ja.po | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit df0e0e7ab22130869fd610b8b1f2e70de06ddbce
Author: Taras Panchenko <top39@ukr.net>
Date:   Sun Dec 5 22:30:22 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 100.0% (507 of 507 strings)

 po/uk.po | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 39ba6f339aaeb712740de60b07624aa2062fdea6
Author: Taras Panchenko <top39@ukr.net>
Date:   Sun Dec 5 22:35:10 2021 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (507 of 507 strings)

 po/ru.po | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 7659f8ec4d0b9ba13bb2bb7a343d0e8278e6b6a1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 5 23:33:55 2021 +0100

    Delay font loading in APM until battery is detected.

 src/aapm.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b4031cf98f852eee0a09294ba893ca723a340729
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 5 23:32:32 2021 +0100

    Prefer PictOpOver over PictOpSrc in drawPixmap for 24-bit displays.

 src/ypaint.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c50fb5c89f314298d6053c86cf5971b0649f67cf
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sun Dec 5 16:13:07 2021 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (507 of 507 strings)

 po/sk.po | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit c48dd3ad3e7f405a85edd9697d980157a0071634
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 23:35:44 2021 +0100

    Raise the window list before mapping it.

 src/wmwinlist.cc | 1 +
 1 file changed, 1 insertion(+)

commit 065de4e031f0101709886c9b3354ff6edeaf14e7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 23:19:15 2021 +0100

    Update pot files.

 po/ar.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/be.po     | 114 ++++++++++++++++++++++++++++++++-----------------------
 po/bg.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/ca.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/cs.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/da.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/de.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/el.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/en.po     | 107 ++++++++++++++++++++++++++++++---------------------
 po/es.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/fi.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/fr.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/he.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/hr.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/hu.po     | 114 ++++++++++++++++++++++++++++++++-----------------------
 po/icewm.pot | 107 ++++++++++++++++++++++++++++++---------------------
 po/id.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/it.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/ja.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/ko.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/lt.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/lv.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/mk.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/nb.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/nl.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/no.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/pl.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/pt.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/pt_BR.po  | 112 ++++++++++++++++++++++++++++++++----------------------
 po/ro.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/ru.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/sk.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/sl.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/sv.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/tr.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/uk.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/vi.po     | 112 ++++++++++++++++++++++++++++++++----------------------
 po/zh_CN.po  | 112 ++++++++++++++++++++++++++++++++----------------------
 po/zh_TW.po  | 112 ++++++++++++++++++++++++++++++++----------------------
 39 files changed, 2572 insertions(+), 1790 deletions(-)

commit 8447715b07904685b8c419828b3590a0decd8e90
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 23:11:47 2021 +0100

    Fix the drawing of ledclock pixmaps for some themes like "unusualscars"
    by means of clipping before calling fillPixmap.

 src/aclock.cc | 112 +++++++++++++++++++++++++-----------------------------
 src/aclock.h  |  12 +++---
 2 files changed, 58 insertions(+), 66 deletions(-)

commit 7db6efc83d94cba8811b8c11ae8b84f6069ab6a5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 23:10:36 2021 +0100

    Prevent negative image positions in fillPixmap.

 src/ypaint.cc | 30 ++++++++++++++++++++++--------
 1 file changed, 22 insertions(+), 8 deletions(-)

commit 8240d81b8fcec837b3834d1f497b9aaf6647a17f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 23:08:32 2021 +0100

    Add class YPidWaiter for asynchronous waiting for process termination.

 src/yapp.cc | 51 ++++++++++++++++++++++++++++++++++++++++-----------
 src/yapp.h  | 15 +++++++++++++--
 src/ypoll.h | 11 +++++++++--
 3 files changed, 62 insertions(+), 15 deletions(-)

commit d0079344e1f5e2480629fdd1c7120023342383fa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 23:07:23 2021 +0100

    Internationalize the error messages for the dynamic menu.

 src/wmmenu.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit d6fe497d9505d0cb2a36f4252fe7c53d5866a6b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 23:06:34 2021 +0100

    Use class tokens to hide use of strtok.

 src/wmdialog.cc  |  4 +---
 src/wmpref.cc    |  8 +++-----
 src/yfontcore.cc |  8 ++------
 src/yicon.cc     | 16 ++++++----------
 4 files changed, 12 insertions(+), 24 deletions(-)

commit 4ecf3b64a633b9ccc7f3ffc6b88b228baa1d77c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 23:04:12 2021 +0100

    Include sys/wait.h for FreeBSD and internationalize the keyboard tooltip.

 src/akeyboard.cc | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 56bea6aa31b0ec7e59ca930032bbd91daf07b318
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 21:27:09 2021 +0100

    Add class tokens.

 src/base.h  | 10 ++++++++++
 src/misc.cc | 16 ++++++++++++----
 2 files changed, 22 insertions(+), 4 deletions(-)

commit 42b60bee07e26c5feee02f6f773970d285882709
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 17:50:22 2021 +0100

    Fix against the flashing of title bar buttons when the window list
    is activated.

 src/wmapp.cc     |  2 +-
 src/wmmgr.cc     | 13 +++++++++----
 src/wmmgr.h      |  2 +-
 src/wmwinlist.cc |  3 ++-
 4 files changed, 13 insertions(+), 7 deletions(-)

commit 440a0f1589a8543da9b729479ac8b32e645d8aaa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 4 17:46:55 2021 +0100

    Fix for fullscreen wine programs for issue ice-wm/icewm#73.

 src/wmframe.cc | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 1bcf0ed34466f9dd9c6fa794d11aacf432e71db2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 2 03:32:14 2021 +0100

    Prepare 2.9.1 release

 AUTHORS      |   4 +-
 ChangeLog    | 479 ++++++++++++++++++++++++++++++-------------------------
 NEWS         | 107 +++++--------
 README.md    |  36 ++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  42 ++---
 po/be.po     |  42 ++---
 po/bg.po     |  42 ++---
 po/ca.po     |  42 ++---
 po/cs.po     |  42 ++---
 po/da.po     |  42 ++---
 po/de.po     |  42 ++---
 po/el.po     |  42 ++---
 po/en.po     |  42 ++---
 po/es.po     |  42 ++---
 po/fi.po     |  42 ++---
 po/fr.po     |  42 ++---
 po/he.po     |  42 ++---
 po/hr.po     |  42 ++---
 po/hu.po     |  42 ++---
 po/icewm.pot |  44 ++---
 po/id.po     |  42 ++---
 po/it.po     |  42 ++---
 po/ja.po     |  42 ++---
 po/ko.po     |  42 ++---
 po/lt.po     |  42 ++---
 po/lv.po     |  42 ++---
 po/mk.po     |  42 ++---
 po/nb.po     |  42 ++---
 po/nl.po     |  42 ++---
 po/no.po     |  42 ++---
 po/pl.po     |  42 ++---
 po/pt.po     |  42 ++---
 po/pt_BR.po  |  42 ++---
 po/ro.po     |  42 ++---
 po/ru.po     |  42 ++---
 po/sk.po     |  42 ++---
 po/sl.po     |  42 ++---
 po/sv.po     |  42 ++---
 po/tr.po     |  42 ++---
 po/uk.po     |  42 ++---
 po/vi.po     |  42 ++---
 po/zh_CN.po  |  42 ++---
 po/zh_TW.po  |  42 ++---
 46 files changed, 1152 insertions(+), 1128 deletions(-)

commit 20df1cb291469f6c519cc04af3a734bda4ce4dd1
Merge: 0121ea41 99719a51
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 2 03:21:58 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 99719a51a5433e6233ce48cc763e1530c4a06061
Merge: b4fc37b5 b6c5a2d5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 2 03:20:54 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit b6c5a2d56b14fec4154be5f6f7d7ed0cce7fb969
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 2 03:17:05 2021 +0100

    Fix to focus wine and winecfg for issue #625, which improves commit
    3612d6e1397943e1cb009562d3cdedce21d5c63a.

 src/wmframe.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit ab4107c25e0452a46413c86eaeb0a1aa2bec99a9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 30 20:32:13 2021 +0100

    Fix the scaling of the taskbar background gradient for double height
    taskbar.

 src/wmtaskbar.cc | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 4a0ac47569032f965c9ed9db192db8aad2a642c6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 30 20:31:59 2021 +0100

    Swap the columns in the about dialog for right-to-left locales.

 src/wmabout.cc |  2 ++
 src/ylayout.h  | 14 +++++++++++++-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 3f27f9ef233773dfb130f3aa3cc3b49d69aa2b88
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 29 20:07:21 2021 +0100

    Replace "sans-serif" with "DejaVu Sans" for Xft fonts, because these
    support a wider range of characters, which improves support for languages
    with non-Latin scripts.

 src/themable.h  | 22 +++++++++++-----------
 src/yfontxft.cc |  2 ++
 src/yprefs.h    |  2 +-
 3 files changed, 14 insertions(+), 12 deletions(-)

commit 4e34c4e6ca2c74db73d4e71643d352187faef56a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 28 23:38:54 2021 +0100

    Add tab separators to the CPU multiline status tooltip for two-column
    display.

 src/acpustatus.cc | 34 ++++++++++++++++++++++++++++------
 1 file changed, 28 insertions(+), 6 deletions(-)

commit e0df45610aa545508e79ebb9938265c1e6758677
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 28 23:38:13 2021 +0100

    Fix multiline tooltips for right-to-left locales.

 src/ypaint.cc   | 54 ++++++++++++++++++++++++++++++-----------------------
 src/ypaint.h    |  2 +-
 src/ytooltip.cc |  2 +-
 3 files changed, 33 insertions(+), 25 deletions(-)

commit 3c3f7a1987047c11ac6c9c6284200664a11cef66
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 28 23:36:24 2021 +0100

    Ensure that the multiline tab spacing is two character positions.

 src/yfont.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 567e76bb4516066f2218fe22220c41bd9c08dc27
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 28 23:35:54 2021 +0100

    Fix taskbar collapse button for right-to-left locales.

 src/wmtaskbar.cc | 27 ++++++++++++---------------
 1 file changed, 12 insertions(+), 15 deletions(-)

commit 85bba6fd7becdfd0b4b6ef634b744dfe9b8017a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 28 23:35:09 2021 +0100

    Fix workspace pane sizing for right-to-left locales.

 src/aworkspaces.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit d8edc00998b536203f6d11252c8d5978b1f83fb5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 28 17:47:53 2021 +0100

    Update potfiles.

 po/ar.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/be.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/bg.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/ca.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/cs.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/da.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/de.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/el.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/en.po     | 293 +++++++++++++++++++++++++--------------------------
 po/es.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/fi.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/fr.po     | 302 ++++++++++++++++++++++++++--------------------------
 po/he.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/hr.po     | 301 ++++++++++++++++++++++++++--------------------------
 po/hu.po     | 300 ++++++++++++++++++++++++++--------------------------
 po/icewm.pot | 295 +++++++++++++++++++++++++--------------------------
 po/id.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/it.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/ja.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/ko.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/lt.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/lv.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/mk.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/nb.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/nl.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/no.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/pl.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/pt.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 300 ++++++++++++++++++++++++++--------------------------
 po/ro.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/ru.po     | 313 +++++++++++++++++++++++++++---------------------------
 po/sk.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/sl.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/sv.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/tr.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/uk.po     | 314 +++++++++++++++++++++++++++----------------------------
 po/vi.po     | 298 ++++++++++++++++++++++++++--------------------------
 po/zh_CN.po  | 298 ++++++++++++++++++++++++++--------------------------
 po/zh_TW.po  | 298 ++++++++++++++++++++++++++--------------------------
 39 files changed, 5787 insertions(+), 5869 deletions(-)

commit 06057f626f5cbb213a97f1846f94e862aa7d7e9a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 28 17:37:41 2021 +0100

    When the keyboard layout changes due to external reasons
    and the taskbar has the keyboard applet, then reflect
    the new layout in the taskbar applet for issue #622.
    Make the keyboard applet display all of the output
    of `setxkbmap -query` in the tooltip for the applet.
    When the mouse is inside the keyboard applet, then
    post the tooltip.  Compress all the XMappingEvents
    to one single keyboard update event.
    Don't set the text on the taskbar collapse button
    when there is already a non-zero image for that button.
    Add leftToRight as an opposite of rightToLeft.

 src/akeyboard.cc | 97 ++++++++++++++++++++++++++++++++++++++++++++++++----
 src/akeyboard.h  |  8 ++++-
 src/logevent.cc  | 17 +++++++--
 src/logevent.h   |  1 +
 src/wmapp.cc     |  5 +--
 src/wmapp.h      |  4 +--
 src/wmmgr.cc     | 23 +++++++++++--
 src/wmmgr.h      |  3 ++
 src/wmtaskbar.cc | 27 +++++++++++----
 src/yapp.cc      |  6 +++-
 src/yapp.h       |  4 +--
 src/yprefs.h     |  1 +
 src/ywindow.cc   |  4 +++
 src/ywindow.h    |  2 ++
 src/yxapp.cc     | 12 +++++++
 15 files changed, 188 insertions(+), 26 deletions(-)

commit 727d568954455c0d98a84026e22c306be3f89f1b
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Wed Nov 24 16:03:35 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7b4ce1cff5dc64da04d1798045b18362dc8fa7a8
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Nov 24 11:11:07 2021 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (503 of 503 strings)

 po/pt.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 0121ea41b3241590c7818f8f0c9518b6dcbc7b78
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 03:09:40 2021 +0100

    Prepare 2.9.0 release

 AUTHORS      |    9 +-
 ChangeLog    | 9140 ++++++++++++++++++++++++++----------------------------
 NEWS         |  195 +-
 README.md    |   36 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |  270 +-
 po/be.po     |  270 +-
 po/bg.po     |  270 +-
 po/ca.po     |  270 +-
 po/cs.po     |  270 +-
 po/da.po     |  270 +-
 po/de.po     |  270 +-
 po/el.po     |  270 +-
 po/en.po     |  265 +-
 po/es.po     |  270 +-
 po/fi.po     |  270 +-
 po/fr.po     |  274 +-
 po/he.po     |  270 +-
 po/hr.po     |  273 +-
 po/hu.po     |  272 +-
 po/icewm.pot |  267 +-
 po/id.po     |  270 +-
 po/it.po     |  270 +-
 po/ja.po     |  270 +-
 po/ko.po     |  270 +-
 po/lt.po     |  270 +-
 po/lv.po     |  270 +-
 po/mk.po     |  270 +-
 po/nb.po     |  270 +-
 po/nl.po     |  270 +-
 po/no.po     |  270 +-
 po/pl.po     |  270 +-
 po/pt.po     |  270 +-
 po/pt_BR.po  |  272 +-
 po/ro.po     |  270 +-
 po/ru.po     |  285 +-
 po/sk.po     |  270 +-
 po/sl.po     |  270 +-
 po/sv.po     |  270 +-
 po/tr.po     |  270 +-
 po/uk.po     |  286 +-
 po/vi.po     |  270 +-
 po/zh_CN.po  |  270 +-
 po/zh_TW.po  |  270 +-
 46 files changed, 9858 insertions(+), 10100 deletions(-)

commit 8d711242951b6ab0543aa68cff91370f1b1e9ee1
Merge: 7fadfc74 b4fc37b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 03:05:28 2021 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit b4fc37b573316d5ea663b183a7b06c101f17b49d
Merge: 6f126588 d0dc7f93
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 03:01:51 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit d0dc7f93e946c1557fb9d5be8d4ada852372164f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 03:00:54 2021 +0100

    Fix typo.

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f1265885057ac86454523d59bee5844f43c8b98
Merge: 03d526e4 a45c1863
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 02:48:13 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit a45c1863864a33b7e1b33e2c6190c4e095ee4155
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 02:46:56 2021 +0100

    Add new headers.

 src/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit 03d526e4892bdca02c9ae3b02511506277c509f5
Merge: 1a5e6c92 48acff12
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 02:37:41 2021 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 48acff126dedef00a45d124f8bcf5b951bacbbfb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 02:14:47 2021 +0100

    Left-align right-to-left text if it fits within the size limitation.

 src/yfontxft.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit bb1314e7e2ba1061b444e0fad3c6ce055dc1ada8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 00:21:56 2021 +0100

    Center the inputline to accommodate fonts larger than the addressbar.

 src/yinputline.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c55adafdf616dc434b46b1fca43b5aeea9ba77b1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 24 00:20:51 2021 +0100

    Don't maximize buttons on height, because of artefacts in CrystalBlue.

 src/ybutton.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 91a567269b9bc59ac33b1fcf1ac782b94fc6e739
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 23 22:27:53 2021 +0100

    Fix typo.

 man/icesh.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f41c6d4a33d2e908052799b06b91c1941d7a99b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 23 22:23:46 2021 +0100

    Increase the right margin of task buttons from one to two for right-to-left
    titles.

 src/atasks.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a50dae2196f87755a4f66cf9d74bb7129131e264
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 23 19:06:50 2021 +0100

    Give icewmbg an error handler to protect against destroyed windows.

 src/icewmbg.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 7aa65f5eaa834d8f32e6b71eb25014de5c6fbe6e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 23 19:05:36 2021 +0100

    Guard against the condition that the taskbar doesn't have a frame.

 src/wmframe.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f4f15a1fff92e0a74182944e82f02b497bdbf412
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 22 23:53:53 2021 +0100

    Add XEMBED_EMBEDDED_NOTIFY and XEMBED_WINDOW_ACTIVATE.

 COMPLIANCE | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5645ddd304137466651d55e9a7bfef137b74867e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 22 23:37:34 2021 +0100

    Guard against all fonts not providing some glyph.

 src/yfontxft.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 2ee525add18a95eed69356435f887f8a2e77b522
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 22 22:12:52 2021 +0100

    Only swap title button pixmaps for right-to-left locales when they have
    the same size.

 src/wmbutton.cc |  7 +------
 src/wmbutton.h  |  1 -
 src/wmtitle.cc  | 55 ++++++++++++++++++++++++++++++++++++++++-------------
 src/wmtitle.h   |  2 ++
 4 files changed, 45 insertions(+), 20 deletions(-)

commit 921f73deafcb3816808b49bcdf57a2e63588208f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 22 22:11:26 2021 +0100

    Fixes for drawing partitioned right-to-left text when using multiple
    Xft fonts.

 src/yfontxft.cc | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit d24ba9438080b95366a3709eba215d5776d4ad3b
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Sun Nov 21 00:23:34 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 17c91751996db5a648999b45392c21ce52494129
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Sun Nov 21 00:08:26 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 98dd1023370365dc0042d7e6a3511970ea802429
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 20 12:48:04 2021 +0100

    Only free cursor attributes when valid.

 src/ycursor.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6f97222553f4e4a8d072f0b5134929d45a07c673
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 20 12:11:56 2021 +0100

    Fix column alignment in menu's for right-to-left languages.

 src/themes.cc    |   2 +-
 src/ymenu.cc     | 446 ++++++++++++++++++++++++---------------------------
 src/ymenu.h      |   7 +-
 src/ymenuitem.cc |  40 +++--
 src/ymenuitem.h  |  12 +-
 src/ypaint.cc    |  88 ++++++----
 6 files changed, 294 insertions(+), 301 deletions(-)

commit 133c5857b948030270e6d263227f62462715ac0d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 20 12:10:16 2021 +0100

    Accept -C,--copying without complaining.

 src/icewmbg.cc | 3 +++
 1 file changed, 3 insertions(+)

commit c01cc3b057aaa111b060a0bf9eaa4d2739eeb2aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 17 22:04:54 2021 +0100

    Fix for preferring to open the system menu within the frame.

 src/ypopup.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit cb29cd131e8b2690368de91fd91204fc05740bec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 17 21:34:55 2021 +0100

    Prefer to keep the system menu within the frame when opening it from
    the menu button in the titlebar.

 src/ypopup.cc | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit d0f9d6936965de2c16987460377db407ff837583
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 17 21:33:45 2021 +0100

    Fix to prevent the dancing taskbar collapse button, when repeatedly
    collapsing and expanding the taskbar.

 src/ybutton.cc | 33 ++++++++++++++++++++-------------
 1 file changed, 20 insertions(+), 13 deletions(-)

commit e94791636b663cb9b32a829e7cbb50d87285ec19
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 17 21:31:52 2021 +0100

    Swap titlebar button positions for right-to-left languages.

 src/wmbutton.cc |  3 ++-
 src/wmtitle.cc  | 33 ++++++++++++++++++++-------------
 2 files changed, 22 insertions(+), 14 deletions(-)

commit 7f3ea836fc81246f4d8bc931f6e7a8b219a60347
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 17 21:29:22 2021 +0100

    Don't repaint the taskbar when it is collapsed.  Clear the taskbar
    window once more after repainting to prevent background artefacts when
    collapsing and expanding the taskbar in the CoolSteel theme.

 src/wmtaskbar.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 77d5d373ede1d8dc45166b025cf421472fa123d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 17 21:28:40 2021 +0100

    Fix the last entry in the themes menu for the default theme.

 src/themes.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 7a7fd3991781d8a92cd89fad84478c16028cc444
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 17 21:24:25 2021 +0100

    Ignore empty resize events prematurely to reduce flickering while resizing
    windows in the CoolSteel theme.

 src/movesize.cc | 20 +++++++++++---------
 src/wmframe.cc  |  3 +++
 2 files changed, 14 insertions(+), 9 deletions(-)

commit 9d8412cf4997f14a1e07ce0548ef0e403b6baf04
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 15 23:42:08 2021 +0100

    Postpone the redrawing of the frame borders when there is another expose
    event in the pipeline.

 src/wmframe.cc | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 7685f41a3299171b500b19341071bb8c69689d24
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 15 20:35:37 2021 +0100

    Document the "font" argument to the "--trace" option.

 man/icewm.pod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af1fddd3720aa6d00253d911404669cbfd3c8dc1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 15 20:34:13 2021 +0100

    Set the background of the bottom right corner of a scrolled view for
    issue 620.

 src/icewmbg.cc     |  2 +-
 src/wmframe.cc     |  2 +-
 src/ypaint.cc      | 21 ++++++++++-----------
 src/ypaint.h       | 12 ++++++------
 src/ypixmap.cc     |  2 +-
 src/yscrollbar.cc  |  4 ++++
 src/yscrollbar.h   |  1 +
 src/yscrollview.cc | 17 +++++++++++++----
 src/yscrollview.h  |  2 +-
 9 files changed, 38 insertions(+), 25 deletions(-)

commit 6d4bf7a8a55bc21c0a660b9ccf4a68ac361fa284
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 14 17:06:04 2021 +0100

    Add cancel-logout icon.

 lib/Makefile.am                   |  1 +
 lib/icons/cancel-logout_16x16.xpm | 82 +++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

commit aae90f4a83e985d56cd88e670783cc9bd6c651ef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 14 12:54:02 2021 +0100

    Remove bidi from textWidth and fix offset.

 src/yfontxft.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 979a539cc6cbdfb70ef7f28fe4a0784ba4b56fcc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 14 12:00:02 2021 +0100

    Update minimum required cmake version to 3.2.

 CMakeLists.txt        | 2 +-
 INSTALL-cmakebuild.md | 2 +-
 INSTALL.cmakebuild    | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 7c60ca6f4e6416906b345dc97ee5f093a729b2f5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 14 08:52:50 2021 +0100

    Add logout icons to Logout submenu and closes ice-wm/icewm#69.

 src/wmapp.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit d73bc6afe77457b5b2ce0daa4b09036887d0cba1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 13 23:57:55 2021 +0100

    Support right-to-left languages for corefonts when i18n is enabled.
    When codesets are missing in a fontset, then only search for extra fonts
    in the same font family, and only when i18n is enabled.

 src/yfontcore.cc | 166 +++++++++++++++++++++++++++++++--------------------
 src/yfontxft.cc  |  47 ++-------------
 src/ystring.h    |  17 +++---
 3 files changed, 115 insertions(+), 115 deletions(-)

commit 3b59be3dc9630adadebc5966212c7f614d3636a5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 13 23:56:36 2021 +0100

    Detect UTF-8 locale and support multibyte to wide character conversions.

 src/ylocale.cc | 40 +++++++++++++++++++++++++++++++---------
 src/ylocale.h  |  4 ++++
 2 files changed, 35 insertions(+), 9 deletions(-)

commit d0bb2b0463ce7505c5b23361fffc2c4b6e0a5d8c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 13 23:55:46 2021 +0100

    Print the codeset.

 src/testlocale.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 147cb47842bbfbbb49b3d42dcae863981fed93d1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 13 23:54:55 2021 +0100

    Make DejaVu the default backup font family for corefonts.

 src/fontmacro.h | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit e81211710e2dcb33907a335f7ddb06e2425e6dc3
Merge: 32c05560 d994c940
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 12 05:17:52 2021 +0100

    Merge id.po.

commit 32c05560ead7b0e988b202001072a72f9027fda5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 12 05:16:09 2021 +0100

    Support right-to-left text. Handle width-limited text.

 src/yfontxft.cc | 361 +++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 246 insertions(+), 115 deletions(-)

commit e5ab9eb8c0a8a98fbeefa644b311aa8c15417244
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 12 05:15:41 2021 +0100

    Remove old commented out code.

 src/ypaint.cc | 68 -------------------------------------------------------
 1 file changed, 68 deletions(-)

commit e66618f8a1660a25f62c964492c029398e38ea57
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 12 05:15:31 2021 +0100

    Modernize casts.

 src/ylocale.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 93ef8783e997e691dcea39da066bc0f41df7cf3a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 12 05:14:30 2021 +0100

    Drop YString and YLocaleString.

 src/ystring.h | 122 ++++++------------------------------------------------
 1 file changed, 12 insertions(+), 110 deletions(-)

commit d994c940f54c97b3a18381b4aeebdb52619f9292
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Fri Nov 12 02:08:21 2021 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (503 of 503 strings)

 po/id.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 4f4dd371ca1fbb131ab72ecab2ad7b02616d121e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 12 05:08:26 2021 +0100

    Detect right-to-left text.

 src/ybidi.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 5d83fb531a1fd6f36134fc1ae73feef4693d83d0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 22:46:38 2021 +0100

    Fix the horizontal scrollbar for the window list window.

 src/yscrollview.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit c4bb61c8a5a2b609802ad7d3867ce9140301f082
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 18:08:58 2021 +0100

    Improve ascent/descent detection for font sets.
    Improve fallback font pattern generation for font sets.
    Much faster optimal text length detection for width-limited text fields.
    Improve the Xft last resort backup font.

 src/yfont.cc     |  23 +++-
 src/yfontbase.h  |  14 ++-
 src/yfontcore.cc | 335 ++++++++++++++++++++++++++++++++++++---------------
 src/yfontxft.cc  | 266 ++++++++++++++++++----------------------
 src/ylocale.cc   |  29 +++--
 src/ylocale.h    |   7 +-
 src/ypaint.cc    |   7 +-
 src/ystring.h    |  38 +++---
 8 files changed, 425 insertions(+), 294 deletions(-)

commit 7ddf106a7ccb51be92d4e9ac6ab4bfa04e616286
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 18:07:45 2021 +0100

    Improve vertical font positioning for the address bar.

 src/yinputline.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit bbf57e3058900ea760a734abbd29fc9cb81b3ed5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 18:02:41 2021 +0100

    Improve font tracing.

 src/ytrace.h | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

commit 1111aa72ea7c1f8056d6ce6e9fca86545691ee8e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 18:02:14 2021 +0100

    Take into account Right-To-Left when sorting systray icons.

 src/yxtray.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 96d6feec365e55c78e3b815dd32fc2f4792b4ee4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 18:01:45 2021 +0100

    Take into account Right-To-Left when ordering task bar subwindows.

 src/wmtaskbar.cc | 62 ++++++++++++++++++++++++++++------------------------
 1 file changed, 33 insertions(+), 29 deletions(-)

commit d7dc4642013d9b8cc28165c8ea849a7e397fbd09
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 18:01:15 2021 +0100

    Remove old FONT macros.

 src/yconfig.h | 19 -------------------
 1 file changed, 19 deletions(-)

commit cc95765f5237d1b2830b351a82193b1df4b003a5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 18:00:25 2021 +0100

    Pass findRemove data parameter by value for 'this'.

 src/yarray.h | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 73dfdd7eb5c04a34c242a6bc48f63aac77167630
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:58:51 2021 +0100

    Prefer wchar_t over YUchar.

 src/testlocale.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 46df4610fbaf319f379af29e732241e310d58d5b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:58:22 2021 +0100

    Take into account Right-To-Left when sorting object buttons.

 src/objbar.cc | 40 +++++++++++++++++++++++-----------------
 1 file changed, 23 insertions(+), 17 deletions(-)

commit 5a7e2f05d0da1b92dc0b28c96ac1d1a52a8fd72b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:57:44 2021 +0100

    Prefer drawString over drawChars.

 src/icelist.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ce541fb840b5f37da7e4576ee7286b6254d5ce1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:56:57 2021 +0100

    Take into account Right-To-Left when sorting task buttons, tray icons
    and workspace buttons.

 src/atasks.cc      | 12 ++++++++----
 src/atray.cc       | 43 +++++++++++++++++++++----------------------
 src/atray.h        |  2 +-
 src/aworkspaces.cc | 18 ++++++++++--------
 src/aworkspaces.h  |  4 ++++
 5 files changed, 44 insertions(+), 35 deletions(-)

commit bffc8d692ab1f42fd33d10b6d9603b12206fc7c5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:53:44 2021 +0100

    Reuse discarded miniicon positions.

 src/wmmgr.cc      | 59 +++++++++++++++++++++++++++++++++++++++++++--------
 src/wmmgr.h       |  3 ++-
 src/wmminiicon.cc | 16 ++++++--------
 src/wmminiicon.h  |  4 ++++
 4 files changed, 62 insertions(+), 20 deletions(-)

commit 427af2a4cc6089a22971a4999e20ce88dba5352e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:53:09 2021 +0100

    Flush stdout after printing preferences.

 src/wmconfig.cc | 2 ++
 1 file changed, 2 insertions(+)

commit fb6a6b29abe991983fd3f897758e14b2c299a002
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:52:39 2021 +0100

    Detect Right-To-Left locales.

 src/wmapp.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7e9cd7c4c6199a4934299b63669665a61bf14680
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:51:55 2021 +0100

    Use new FONT macros from fontmacro.h. Remove minimizedWindowFontName.

 src/themable.h | 47 +++++++++++++++++++----------------------------
 1 file changed, 19 insertions(+), 28 deletions(-)

commit aae615ae8c6a098c85ffd75e7a504cc038d401ae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:50:20 2021 +0100

    Move screen-window intersection into YWindow coverage.

 src/ywindow.cc | 39 ++++++++++-----------------------------
 src/ywindow.h  | 12 +++++++++++-
 2 files changed, 21 insertions(+), 30 deletions(-)

commit 8ffbe18cca1c877b89e4b156b9b9f4141cd3c3df
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:48:36 2021 +0100

    Add rightToLeft global.

 src/yprefs.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 34c5696fa9110ebfa0acd1be3f041e135125adfa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:47:35 2021 +0100

    Add new class YRange.

 src/base.h | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 6b3cd6f4aebea8674d34f8d815722d9179185cd9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:46:32 2021 +0100

    Move FONT macros to header fontmacro.h.

 src/fontmacro.h | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

commit c83fddeabcad03cdebffecc310bd960d3a8ed921
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 7 17:45:06 2021 +0100

    Move all FriBidi stuff into a dedicated class YBidi.

 src/ybidi.h | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 4dabf208c04b19587151633a0250f617e8b26310
Author: wallon <franckjl@hotmail.com>
Date:   Sun Nov 7 11:45:58 2021 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (503 of 503 strings)

 po/fr.po | 67 ++++++++++++++++++++++++++----------------------------------
 1 file changed, 29 insertions(+), 38 deletions(-)

commit 4da7ba3768558e1c9f3a8a9a4f75542fa7cebb96
Author: Taras Panchenko <top39@ukr.net>
Date:   Sun Oct 31 19:56:17 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 100.0% (503 of 503 strings)

 po/uk.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 5956bde8c39818b6d538b3a646d0e857c81f46c2
Author: Taras Panchenko <top39@ukr.net>
Date:   Sun Oct 31 20:00:22 2021 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (503 of 503 strings)

 po/ru.po | 217 ++++++++++++++++++++++++-----------------------------------
 1 file changed, 89 insertions(+), 128 deletions(-)

commit 829a35701da3080244dabda89f31b6f36f6e9812
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 23 22:43:34 2021 +0200

    Improve the handling of font loading failures.
    Improve the handling of setting "PreferFreetypeFonts" to false.
    Use the font "10x20" as the last resort font to fallback to, instead of
    the "fixed" font.

 src/yfont.cc     | 111 +++++++++++++------------------
 src/yfontcore.cc |  47 ++++++--------
 src/yfontxft.cc  | 180 +++++++++++++++++++++------------------------------
 3 files changed, 141 insertions(+), 197 deletions(-)

commit a5a17fe9b1f14fef5e47f11077dd2a182e57fc0e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 23 22:41:17 2021 +0200

    Be resilient to font preferences being set to the empty string.

 src/acpustatus.cc  | 14 ++++++++------
 src/atasks.cc      |  2 +-
 src/aworkspaces.cc | 19 ++++++++++---------
 src/wmdialog.cc    |  5 +++--
 src/wmstatus.cc    | 15 ++++++++-------
 src/wmswitch.cc    | 16 ++++++++++------
 src/wmtitle.cc     | 14 +++++++++-----
 src/ybutton.cc     | 43 +++++++++++++++++++++++--------------------
 src/ylabel.cc      |  6 +++---
 src/ylistbox.cc    | 19 ++++++-------------
 src/ymenu.cc       | 16 ++++++++++------
 src/ymenuitem.cc   |  6 +++---
 src/ypaint.h       |  7 +++++++
 src/ytooltip.cc    |  8 +++++---
 14 files changed, 106 insertions(+), 84 deletions(-)

commit 00e1d5f05d36468b920b2359750ca0bbf7cab2d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 19 03:45:38 2021 +0200

    Document drag and drop.

 man/icewm.pod | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 90c94cfc9c8a83cf1880b9ba7684ce3edf8f2b2a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 19 03:32:05 2021 +0200

    Add support for edge switching during drag and drop operations.

 src/wmmgr.cc | 13 ++++++++++++-
 src/wmmgr.h  |  4 +++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit a8c1b8b350d5f8b3ee1b3278d7d20870659cf76c
Author: TarasPanchenko <90216151+TarasPanchenko@users.noreply.github.com>
Date:   Thu Oct 14 20:52:53 2021 +0300

    Update icewm.desktop (#617)

    Add Ukrainian translation, correct "Comment[pt_BR]"

 lib/icewm.desktop | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bca48774e66b30f8089ec6d683d1d70e8046ed83
Author: TarasPanchenko <90216151+TarasPanchenko@users.noreply.github.com>
Date:   Thu Oct 14 20:52:36 2021 +0300

    Update icewm-session.desktop (#616)

    Add Ukrainian translate

 lib/icewm-session.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit 4438342b1b8f0278b71185cf1b844b8c6c5feecd
Author: Taras Panchenko <top39@ukr.net>
Date:   Thu Oct 14 07:36:45 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 100.0% (503 of 503 strings)

 po/uk.po | 124 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 62 insertions(+), 62 deletions(-)

commit d00b8341f7ecfa5c0813521fd00973a846f49ecf
Author: Taras Panchenko <top39@ukr.net>
Date:   Wed Oct 13 20:37:50 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 100.0% (503 of 503 strings)

 po/uk.po | 43 ++++++++++++++++++++++++++++++-------------
 1 file changed, 30 insertions(+), 13 deletions(-)

commit f15249001b3783ff168c0ea35c5291244f081acf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 13 22:34:16 2021 +0200

    Document the tracing on font loading.

 man/icewm-preferences.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9eb1af355b7d1686f6641ba6cbef690b703fe19c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 13 22:30:52 2021 +0200

    Add a font cache to prevent repeatedly loading the same fonts, which
    also makes icewm a little faster on startup.

 src/aapm.cc        |   2 +-
 src/aapm.h         |   2 +-
 src/aclock.cc      |   2 +-
 src/aclock.h       |   2 +-
 src/acpustatus.cc  |   4 +-
 src/acpustatus.h   |   2 +-
 src/akeyboard.cc   |   2 +-
 src/akeyboard.h    |   2 +-
 src/atasks.cc      |  20 +++++-----
 src/atasks.h       |   6 +--
 src/aworkspaces.cc |  20 +++++-----
 src/aworkspaces.h  |   8 ++--
 src/icehelp.cc     |  44 +++++++++++-----------
 src/iceicon.cc     |   9 +++--
 src/iceview.cc     |   8 +++-
 src/objbutton.cc   |  16 +++++---
 src/objbutton.h    |   4 +-
 src/themes.cc      |   2 +-
 src/wmapp.cc       |   4 +-
 src/wmminiicon.cc  |   4 +-
 src/wmpref.cc      |   2 +-
 src/wmstatus.cc    |   4 +-
 src/wmstatus.h     |   2 +-
 src/wmswitch.cc    |   2 +-
 src/wmswitch.h     |   2 +-
 src/wmtitle.cc     |   4 +-
 src/ybutton.cc     |  18 ++++-----
 src/ybutton.h      |  10 ++---
 src/yconfig.h      |  17 +++++----
 src/yfont.cc       | 100 +++++++++++++++++++++++++++++++++++++------------
 src/yfontbase.h    |  27 +++++++++++++
 src/yfontcache.h   |  47 +++++++++++++++++++++++
 src/yfontcore.cc   |  16 ++++----
 src/yfontname.h    |  17 +++++++++
 src/yfontxft.cc    |  32 ++++++++--------
 src/yinputline.cc  |   8 ++--
 src/yinputline.h   |   4 +-
 src/ylabel.cc      |   4 +-
 src/ylabel.h       |   2 +-
 src/ylistbox.cc    |   8 ++--
 src/ymenu.cc       |   4 +-
 src/ymenuitem.cc   |   2 +-
 src/ypaint.cc      |  13 ++++---
 src/ypaint.h       |  40 ++++++++++----------
 src/ytooltip.cc    |   2 +-
 src/ytooltip.h     |   2 +-
 src/ytrace.h       |   7 ++++
 47 files changed, 363 insertions(+), 196 deletions(-)

commit 0e1fe49b2566b70062686453335b1cb515e9bdb3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 13 22:17:33 2021 +0200

    Restore build if CONFIG_I18N is undefined.

 src/ylocale.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 848308f743e6b0cdb2de9602ca1f015ebfe209fd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 13 20:34:24 2021 +0200

    Don't kill internal windows.

 src/wmframe.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 7910ed8a4f1939baae1508f71e5e0f6a209f7ae1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 12 18:43:50 2021 +0200

    Support more Right-To-Left languages.

 src/ylocale.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 15ab75e9be16717b7b3c2c7b3d89dfd737cfda4a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 12 18:42:34 2021 +0200

    Set the default background of the window list window to prevent undrawn
    holes at
    the bottom of the window when running with a compositor and alpha
    blending.

 src/wmwinlist.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 3612d6e1397943e1cb009562d3cdedce21d5c63a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 12 18:38:22 2021 +0200

    Only let a frame retake focus on an ungrab event when the manager still
    believes that frame should have focus. This fixes the flashing of title
    bar buttons when the window list window is popped up.

 src/wmframe.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a574e96c805f10d0f0215f6f25803921a132aa85
Author: Taras Panchenko <top39@ukr.net>
Date:   Mon Oct 11 20:00:17 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 97.2% (489 of 503 strings)

 po/uk.po | 302 ++++++++++++++++++-----------------------------------------
 1 file changed, 93 insertions(+), 209 deletions(-)

commit 9f07c2d1c8c531748efaae46d82f702ffceb5e51
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 11 00:34:50 2021 +0200

    Detect locale text direction.

 src/ylocale.cc | 14 ++++++++++++++
 src/ylocale.h  |  3 +++
 2 files changed, 17 insertions(+)

commit a79f429d00b8dbe946ac264e26c403f279555899
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 11 00:32:15 2021 +0200

    Print default locale in testlocale.

 src/testlocale.cc | 24 +++++++++++++++---------
 1 file changed, 15 insertions(+), 9 deletions(-)

commit 906f0f6c889e337f3f153b640b61c59a9d1ee543
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 11 00:30:20 2021 +0200

    Fix for FreeBSD build.

 src/aapm.cc | 1 +
 1 file changed, 1 insertion(+)

commit 4def6e0a88ff2d1cdabe523aa32eb4e6dbe01c8e
Author: Taras Panchenko <top39@ukr.net>
Date:   Sun Oct 10 17:35:12 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 90.4% (455 of 503 strings)

 po/uk.po | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit 18ba61cb60d97ddfeeff35ce02869117478995ec
Author: Taras Panchenko <top39@ukr.net>
Date:   Sun Oct 10 11:25:21 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 87.6% (441 of 503 strings)

 po/uk.po | 121 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 60 insertions(+), 61 deletions(-)

commit 9b530988bdc998723b43bbd6cc03f42e2d674e94
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 10 11:51:29 2021 +0200

    Fix the format string for "restart" in Ukrainian to fix the build.

 po/uk.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a28cb8af8aa80318350fafd2eb62eeadb441cec0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 10 10:41:26 2021 +0200

    Document the -T switch to select the taskbar in icesh for issue
    ice-wm/icewm#18.

 man/icesh.pod | 4 ++++
 1 file changed, 4 insertions(+)

commit d3967e339cc9b34f2bad21be1171f835c470760f
Author: Taras Panchenko <top39@ukr.net>
Date:   Sat Oct 9 22:39:26 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 82.5% (415 of 503 strings)

 po/uk.po | 27 +++++++++------------------
 1 file changed, 9 insertions(+), 18 deletions(-)

commit 3927ac8abdc59d94591894df790caacf51f99aa3
Author: Taras Panchenko <top39@ukr.net>
Date:   Sat Oct 9 22:17:00 2021 +0000

    Translated using Weblate (Ukrainian)

    Currently translated at 81.3% (409 of 503 strings)

 po/uk.po | 351 ++++++++++++++++++++++-------------------------------------
 1 file changed, 132 insertions(+), 219 deletions(-)

commit 1e451aff9d0a5da2edd1ed762bf60bdec107b047
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Wed Oct 6 17:29:55 2021 +0000

    Translated (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7fadfc74770a5291b334c10810f6d0be5f1b6a16
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 4 20:36:37 2021 +0200

    Prepare 2.8.0 release

 AUTHORS      |   12 +-
 ChangeLog    | 9271 +++++++++++++++++++++++++++---------------------------
 NEWS         |  137 +-
 README.md    |   36 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |   92 +-
 po/be.po     |   92 +-
 po/bg.po     |   92 +-
 po/ca.po     |   92 +-
 po/cs.po     |   92 +-
 po/da.po     |   92 +-
 po/de.po     |   92 +-
 po/el.po     |   92 +-
 po/en.po     |   92 +-
 po/es.po     |   92 +-
 po/fi.po     |   92 +-
 po/fr.po     |   92 +-
 po/he.po     |   92 +-
 po/hr.po     |   92 +-
 po/hu.po     |   92 +-
 po/icewm.pot |   94 +-
 po/id.po     |   92 +-
 po/it.po     |   92 +-
 po/ja.po     |   92 +-
 po/ko.po     |   92 +-
 po/lt.po     |   92 +-
 po/lv.po     |   92 +-
 po/mk.po     |   92 +-
 po/nb.po     |   92 +-
 po/nl.po     |   92 +-
 po/no.po     |   92 +-
 po/pl.po     |   92 +-
 po/pt.po     |   92 +-
 po/pt_BR.po  |   92 +-
 po/ro.po     |   92 +-
 po/ru.po     |   92 +-
 po/sk.po     |   92 +-
 po/sl.po     |   92 +-
 po/sv.po     |   92 +-
 po/tr.po     |   92 +-
 po/uk.po     |   92 +-
 po/vi.po     |   92 +-
 po/zh_CN.po  |   92 +-
 po/zh_TW.po  |   92 +-
 46 files changed, 6572 insertions(+), 6488 deletions(-)

commit ade9d923cb8ac644c0e7698ab8f6e98ef5778bd6
Merge: d7f81621 1a5e6c92
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 4 20:27:05 2021 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 1a5e6c927eb7c200937ded209717ea42bac3dfac
Merge: 64e3b8d6 16e4f6bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 4 20:24:30 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 16e4f6bc2927bf4228f7b3e7ab458fd9629dc08d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 4 20:06:26 2021 +0200

    Improve the explanation on how to spy on client messages.

 man/icesh.pod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3fc8a271b0f4f8d3d6b011159370733b1d005426
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 3 21:25:38 2021 +0200

    When rearranging windows with tile placement, cascade placement, correct
    for the top side vertical offset, in those themes which have a masked
    top border.

 src/wmapp.cc     |  73 +++++++-----------
 src/wmframe.cc   |  11 ++-
 src/wmmgr.cc     | 206 ++++++++++++++++++++++++++++++++-------------------
 src/wmmgr.h      |  31 ++++++--
 src/wmwinlist.cc |  67 ++++++++---------
 src/wmwinlist.h  |   3 +-
 6 files changed, 221 insertions(+), 170 deletions(-)

commit 402b02ee86a4bbc6edceac5f978358c589bd965d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 2 18:39:01 2021 +0200

    Clarify MailBoxPath.

 man/icewm-preferences.pod | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 5282953d11afd7dc454bd806905ffecb5841c1c6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 30 22:28:07 2021 +0200

    Clarify some preferences.

 src/default.h | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ecc1170689638e4d7786907d67aba004d6059749
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 30 22:27:26 2021 +0200

    Update potfiles.

 po/ar.po     | 124 +++++++--------
 po/be.po     | 124 +++++++--------
 po/bg.po     | 124 +++++++--------
 po/ca.po     | 128 ++++++++--------
 po/cs.po     | 128 ++++++++--------
 po/da.po     | 124 +++++++--------
 po/de.po     | 124 +++++++--------
 po/el.po     | 128 ++++++++--------
 po/en.po     | 124 +++++++--------
 po/es.po     | 124 +++++++--------
 po/fi.po     | 124 +++++++--------
 po/fr.po     | 124 +++++++--------
 po/he.po     | 124 +++++++--------
 po/hr.po     | 124 +++++++--------
 po/hu.po     | 124 +++++++--------
 po/icewm.pot | 126 +++++++--------
 po/id.po     | 124 +++++++--------
 po/it.po     | 124 +++++++--------
 po/ja.po     | 128 ++++++++--------
 po/ko.po     | 124 +++++++--------
 po/lt.po     | 124 +++++++--------
 po/lv.po     | 124 +++++++--------
 po/mk.po     | 124 +++++++--------
 po/nb.po     | 124 +++++++--------
 po/nl.po     | 128 ++++++++--------
 po/no.po     | 124 +++++++--------
 po/pl.po     | 124 +++++++--------
 po/pt.po     | 124 +++++++--------
 po/pt_BR.po  | 456 +++++++++++++++++++++++++++++++++----------------------
 po/ro.po     | 124 +++++++--------
 po/ru.po     | 124 +++++++--------
 po/sk.po     | 128 ++++++++--------
 po/sl.po     | 124 +++++++--------
 po/sv.po     | 124 +++++++--------
 po/tr.po     | 124 +++++++--------
 po/uk.po     | 124 +++++++--------
 po/vi.po     | 124 +++++++--------
 po/zh_CN.po  | 124 +++++++--------
 po/zh_TW.po  | 124 +++++++--------
 39 files changed, 2645 insertions(+), 2549 deletions(-)

commit 6403081725e38554b089efa8d04b2bfcc7adfffe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 30 22:24:20 2021 +0200

    Update winoptions example on DockApps.

 man/icewm-winoptions.pod | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit fe3094797c57b782d0baf56e6aa0d5e6ddf4c49a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 30 22:23:43 2021 +0200

    Explain how to spy on client messages.

 man/icesh.pod | 2 ++
 1 file changed, 2 insertions(+)

commit 3e58b5b5ad2f6d6a5ca425d7bbb9ee05c6a1f4b0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 26 22:21:23 2021 +0200

    Guard against a color name being set to the empty string for issue #614.

 src/ycolor.cc |  6 +++---
 src/ypaint.cc | 10 ++++++----
 src/ypaint.h  |  2 +-
 3 files changed, 10 insertions(+), 8 deletions(-)

commit 90ce79d5c0d10e2fc38b77058113f509543b7aec
Author: Efstathios Iosifidis <eiosifidis@gmail.com>
Date:   Tue Sep 21 06:00:15 2021 +0000

    Translated using Weblate (Greek)

    Currently translated at 93.6% (471 of 503 strings)

 po/el.po | 54 ++++++++++++++++++++++--------------------------------
 1 file changed, 22 insertions(+), 32 deletions(-)

commit f9e9ab1ba615c0ecc5aed412b4b9c614f9a4a8e9
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Mon Sep 20 02:32:34 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0f723d31c8507ae75ac1ea90c76bc6b9061ba1cb
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Mon Sep 20 02:09:51 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 848be5923e7cea0af46e97944573477ff4d6322e
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Sun Sep 19 14:47:32 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit eedb1262bebb9b99c141873d09cc238c95796cf5
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Sun Sep 19 04:14:55 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 178 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 93 insertions(+), 85 deletions(-)

commit 691e0ef583562db90db275639e553bcc2873d27e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 18 12:16:51 2021 +0200

    Remove obsolete preferences.xml.

 src/preferences.xml | 49 -------------------------------------------------
 1 file changed, 49 deletions(-)

commit 248bb821f9d9a58583ef0c42e1cbdc28a28f5c5f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 18 12:16:18 2021 +0200

    Remove obsolete Makefile.os2.

 src/Makefile.os2 | 6 ------
 1 file changed, 6 deletions(-)

commit 9451347811f16ba987c7dbdcb7dedb60c9b807ff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 18 12:15:52 2021 +0200

    Add yimage2.h.

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 07186bfd99435dfba5ce15854385cb004d75f72e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 18 10:55:56 2021 +0200

    Update to pt_BR.po by marcelocripe and closes ice-wm/icewm#60.

 po/pt_BR.po | 1056 +++++++++++++++++++++++++++----------------------------
 1 file changed, 509 insertions(+), 547 deletions(-)

commit 012888fd4456bcba71d9355059b1f1a95f646d90
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Sat Sep 18 04:00:40 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit fd77e936b4120272d61b3450c86917a0a860a307
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Sep 17 23:01:17 2021 +0200

    Improve performance and scalability of the window list menu.

 src/wmwinmenu.cc | 175 ++++++++++++++++++++++++++-------------------------
 src/wmwinmenu.h  |  15 ++++-
 2 files changed, 101 insertions(+), 89 deletions(-)

commit f710b93f3813a5793344f1c0bdb1aa39a19dddb0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Sep 17 23:00:16 2021 +0200

    In the window list window group similar application windows together.

 src/wmclient.h   |  1 +
 src/wmframe.h    |  1 +
 src/wmmgr.h      |  4 ---
 src/wmwinlist.cc | 78 ++++++++++++++++++++++++++++++++++++++++++++--------
 src/wmwinlist.h  |  1 +
 src/ylistbox.cc  | 26 +++++++-----------
 src/ylistbox.h   |  1 +
 7 files changed, 80 insertions(+), 32 deletions(-)

commit 5549b242bc3b89894908431c12420c686c90e18e
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Thu Sep 16 16:22:01 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (503 of 503 strings)

 po/pt_BR.po | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit febde681f70428126d458949b4b17d301cac4b15
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Sep 15 13:32:40 2021 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (503 of 503 strings)

 po/pt.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 6e419804bf2d1788d9ced0fee3b12162a0071cc5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 11 23:47:05 2021 +0200

    Add +group and +Class select options to icesh.

 man/icesh.pod   |  50 +++++++++++++---------
 src/Makefile.am |  11 ++++-
 src/icesh.cc    | 116 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 154 insertions(+), 23 deletions(-)

commit c594dc142ff477d0db0035d1ad87b7332a583bf2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 11 23:46:08 2021 +0200

    Include yimage.h for gdk-pixbuf.

 src/ysvg.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 9d4c4cf8b9db2d293ab4f9ac40d6665001b1960b
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sat Sep 11 18:36:59 2021 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (503 of 503 strings)

 po/cs.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit c37f2f0bbe8a15f8babe5f68ef98fd752e76f904
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Fri Sep 10 16:02:58 2021 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (503 of 503 strings)

 po/sk.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 47c2592cad8d3adf3ea3bd0aaaf976d9fe4015fb
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Thu Sep 9 21:52:53 2021 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (503 of 503 strings)

 po/nl.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 056bff00c276f5dc8b7f69c0f0da6d5221acc609
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Thu Sep 9 22:16:35 2021 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (503 of 503 strings)

 po/ja.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 9f0fb9bfc8fc3df8244d128deaf97cebdfb6c720
Author: David Medina <medipas@gmail.com>
Date:   Thu Sep 9 21:03:20 2021 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (503 of 503 strings)

 po/ca.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 1d84d19927a27c0bf3c3b7ce789101bb1942a92d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 9 22:53:14 2021 +0200

    Update pot files.

 po/ar.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/be.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/bg.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/ca.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/cs.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/da.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/de.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/el.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/en.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/es.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/fi.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/fr.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/he.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/hr.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/hu.po     | 85 ++++++++++++++++++++++++++++++++----------------------
 po/icewm.pot | 85 ++++++++++++++++++++++++++++++++----------------------
 po/id.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/it.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/ja.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/ko.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/lt.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/lv.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/mk.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/nb.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/nl.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/no.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/pl.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/pt.po     | 88 +++++++++++++++++++++++++++++++++-----------------------
 po/pt_BR.po  | 84 +++++++++++++++++++++++++++++++----------------------
 po/ro.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/ru.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/sk.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/sl.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/sv.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/tr.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/uk.po     | 84 +++++++++++++++++++++++++++++++----------------------
 po/vi.po     | 83 ++++++++++++++++++++++++++++++----------------------
 po/zh_CN.po  | 84 +++++++++++++++++++++++++++++++----------------------
 po/zh_TW.po  | 84 +++++++++++++++++++++++++++++++----------------------
 39 files changed, 1940 insertions(+), 1329 deletions(-)

commit 50ee0294f46e2b772e4768db6c35cb05f8ae6f41
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 9 22:33:29 2021 +0200

    Improve filtering on WM_CLASS property in icesh.

 src/icesh.cc | 31 +++++++++++++++++++++++++++----
 1 file changed, 27 insertions(+), 4 deletions(-)

commit 34ea72f03d3532c9025a82f5963882c2f9528014
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 6 08:58:20 2021 +0200

    Include string.h in ysvg.cc to fix build for some.

 src/ysvg.cc | 1 +
 1 file changed, 1 insertion(+)

commit 1f1d989a3e65f466f90b4142f6384d487b047499
Author: Henrik Tunedal <tunedal@gmail.com>
Date:   Sun Sep 5 22:40:22 2021 +0200

    Fix OSS/ALSA defaults in icesound help message (#609)

 src/icesound.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d2a99f26700962bb234594140e167f24e72bd27
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 5 22:34:32 2021 +0200

    Move SVG loader in a dedicated source file.  Only support SVG for icons,
    not for icewmbg backgrounds. Let icewmbg pixmaps free its associated
    Image to reduce memory usage.

 src/CMakeLists.txt |   2 +-
 src/Makefile.am    |   1 +
 src/icewmbg.cc     |   9 ++--
 src/yicon.cc       |  36 ++++++++++++---
 src/yicon.h        |   9 ++--
 src/yimage.h       |   3 ++
 src/yimage2.cc     | 116 +------------------------------------------------
 src/yimage2.h      |  47 ++++++++++++++++++++
 src/ypixmap.cc     |   6 +++
 src/ypixmap.h      |   1 +
 src/ysvg.cc        |  88 +++++++++++++++++++++++++++++++++++++
 11 files changed, 186 insertions(+), 132 deletions(-)

commit 8c3c697f899b7b5024eea0b039e64fb30e2d4857
Author: Henrik Tunedal <tunedal@gmail.com>
Date:   Sun Sep 5 22:18:14 2021 +0200

    Fix OSS/ALSA defaults in icesound man page (#608)

 man/icesound.pod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3c490cf13bf8c2194f7f64d6c454a873ec29fcb3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 5 22:05:18 2021 +0200

    Fix potential trailing -I flag for issue ice-wm/icewm#57.

 src/CMakeLists.txt | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 29f663045fda4e06b3354de4ac556e8fc7121f7a
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Sat Sep 4 13:57:35 2021 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (500 of 500 strings)

 po/id.po | 44 ++++++++++++++++++--------------------------
 1 file changed, 18 insertions(+), 26 deletions(-)

commit 518c879acb9b5a8115c0f1b18a751c9e0a5d86dc
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Fri Sep 3 18:22:51 2021 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (500 of 500 strings)

 po/pt.po | 72 +++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 44 insertions(+), 28 deletions(-)

commit 166a98535563d6d78b934467fb91614685f69dfc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 1 20:25:39 2021 +0200

    Update date and version number to 2.7.0.

 VERSION      | 2 +-
 configure.ac | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 9684ccfd7dc2f7376bb22abe9e37fd95f34d003c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 1 20:23:14 2021 +0200

    Fix typo in sizeby description.

 man/icesh.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3b061c561a4515c35fbdcd1ff76197066248188d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 1 19:49:28 2021 +0200

    Prevent a pedantic warning for netDevice.

 src/default.h | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 27825d717274fea2db73bc8d43716497e96c6813
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 1 19:46:19 2021 +0200

    Fix overflows in battery calculations for issue #607.
    Change defines to enums. Use longs for capacity numbers.

 src/aapm.cc | 371 ++++++++++++++++++++++++--------------------------------
 src/aapm.h  |   4 +
 2 files changed, 165 insertions(+), 210 deletions(-)

commit f4b5a8024712b9c047b31a88ee48468e9efb8a7d
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Aug 19 16:46:33 2021 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (500 of 500 strings)

 po/pt.po | 75 +++++++++++++++++++++++-------------------------------------
 1 file changed, 29 insertions(+), 46 deletions(-)

commit d7f81621766ccfb70d82b71d5e245877606d2f1e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 6 14:21:37 2021 +0200

    Prepare 2.7.0 release

 AUTHORS      |   19 +-
 ChangeLog    | 1511 +++++++++++++++++++++++++++---------------------------
 NEWS         |  124 +++--
 README.md    |   36 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |    2 +-
 po/be.po     |    2 +-
 po/bg.po     |    2 +-
 po/ca.po     |    2 +-
 po/cs.po     |    2 +-
 po/da.po     |    2 +-
 po/de.po     |    2 +-
 po/el.po     |    2 +-
 po/en.po     |    2 +-
 po/es.po     |    2 +-
 po/fi.po     |    2 +-
 po/fr.po     |    2 +-
 po/he.po     |    2 +-
 po/hr.po     |    2 +-
 po/hu.po     |    2 +-
 po/icewm.pot |    4 +-
 po/id.po     |    2 +-
 po/it.po     |    2 +-
 po/ja.po     |    2 +-
 po/ko.po     |    2 +-
 po/lt.po     |    2 +-
 po/lv.po     |    2 +-
 po/mk.po     |    2 +-
 po/nb.po     |    2 +-
 po/nl.po     |    2 +-
 po/no.po     |    2 +-
 po/pl.po     |    2 +-
 po/pt.po     |    2 +-
 po/pt_BR.po  |    2 +-
 po/ro.po     |    2 +-
 po/ru.po     |    2 +-
 po/sk.po     |    2 +-
 po/sl.po     |    2 +-
 po/sv.po     |    2 +-
 po/tr.po     |    2 +-
 po/uk.po     |    2 +-
 po/vi.po     |    2 +-
 po/zh_CN.po  |    2 +-
 po/zh_TW.po  |    2 +-
 46 files changed, 915 insertions(+), 869 deletions(-)

commit 774ad699969a1c5b429fe3e2809c6d4b6959a1e6
Merge: e73b5cd3 64e3b8d6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 6 14:17:45 2021 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 64e3b8d66c78294fbbff21ebd1e5b8d43176b2c1
Merge: febb2cfc 9f544539
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 6 14:17:25 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 9f54453900505452de2c99ac53e58d709bdcf9ff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 6 14:15:54 2021 +0200

    Add test executables to CLEANFILES.

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit febb2cfcbad82c902d9315eb0c880d8f92b02b1a
Merge: 89a219b3 feaad36e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 6 14:10:01 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit feaad36e2651b59b0fbd8e57c511f06c15701433
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 6 14:09:14 2021 +0200

    Remove test sources from POTFILES.in.

 po/POTFILES.in |   9 ----
 po/ar.po       | 116 +++++++++++++++++++++++++--------------------------
 po/be.po       | 118 ++++++++++++++++++++++++++--------------------------
 po/bg.po       | 116 +++++++++++++++++++++++++--------------------------
 po/ca.po       | 120 ++++++++++++++++++++++++++---------------------------
 po/cs.po       | 120 ++++++++++++++++++++++++++---------------------------
 po/da.po       | 116 +++++++++++++++++++++++++--------------------------
 po/de.po       | 116 +++++++++++++++++++++++++--------------------------
 po/el.po       | 116 +++++++++++++++++++++++++--------------------------
 po/en.po       | 116 +++++++++++++++++++++++++--------------------------
 po/es.po       | 116 +++++++++++++++++++++++++--------------------------
 po/fi.po       | 116 +++++++++++++++++++++++++--------------------------
 po/fr.po       | 116 +++++++++++++++++++++++++--------------------------
 po/he.po       | 116 +++++++++++++++++++++++++--------------------------
 po/hr.po       | 116 +++++++++++++++++++++++++--------------------------
 po/hu.po       | 118 ++++++++++++++++++++++++++--------------------------
 po/icewm.pot   | 118 ++++++++++++++++++++++++++--------------------------
 po/id.po       | 116 +++++++++++++++++++++++++--------------------------
 po/it.po       | 116 +++++++++++++++++++++++++--------------------------
 po/ja.po       | 120 ++++++++++++++++++++++++++---------------------------
 po/ko.po       | 116 +++++++++++++++++++++++++--------------------------
 po/lt.po       | 116 +++++++++++++++++++++++++--------------------------
 po/lv.po       | 116 +++++++++++++++++++++++++--------------------------
 po/mk.po       | 116 +++++++++++++++++++++++++--------------------------
 po/nb.po       | 116 +++++++++++++++++++++++++--------------------------
 po/nl.po       | 120 ++++++++++++++++++++++++++---------------------------
 po/no.po       | 116 +++++++++++++++++++++++++--------------------------
 po/pl.po       | 116 +++++++++++++++++++++++++--------------------------
 po/pt.po       | 116 +++++++++++++++++++++++++--------------------------
 po/pt_BR.po    | 116 +++++++++++++++++++++++++--------------------------
 po/ro.po       | 116 +++++++++++++++++++++++++--------------------------
 po/ru.po       | 116 +++++++++++++++++++++++++--------------------------
 po/sk.po       | 120 ++++++++++++++++++++++++++---------------------------
 po/sl.po       | 116 +++++++++++++++++++++++++--------------------------
 po/sv.po       | 116 +++++++++++++++++++++++++--------------------------
 po/tr.po       | 116 +++++++++++++++++++++++++--------------------------
 po/uk.po       | 116 +++++++++++++++++++++++++--------------------------
 po/vi.po       | 116 +++++++++++++++++++++++++--------------------------
 po/zh_CN.po    | 116 +++++++++++++++++++++++++--------------------------
 po/zh_TW.po    | 116 +++++++++++++++++++++++++--------------------------
 40 files changed, 2275 insertions(+), 2284 deletions(-)

commit 89a219b37294c4c4b9f3c99293dc42f76fe1b290
Merge: 3685e59b 767d06b0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 6 13:58:15 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 767d06b03d85efbbb9917ff04de9896076ccac7e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 5 21:16:45 2021 +0200

    Add support for a default background to the CMake build.

 src/CMakeLists.txt    |  1 +
 src/config.cmake.h.in |  1 +
 src/icewmbg.cc        | 22 +++++++++++++---------
 3 files changed, 15 insertions(+), 9 deletions(-)

commit 033db0dac6cf36a3aee5e8eac7dc6670a7050186
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 4 22:21:37 2021 +0200

    Increase the maximum value for TaskbarButtonWidthDivisor from 25 to 50.

 src/default.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c98b54824fd9fb49921630c807c712978cec3585
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 4 22:20:43 2021 +0200

    Add a --with-background= option to configure to set the default background
    path.

 configure.ac   |  6 ++++++
 src/genpref.cc |  6 ++++++
 src/icewmbg.cc | 12 ++++++++++++
 3 files changed, 24 insertions(+)

commit 97ab2f2a6d809178406adb3c4102b12f85efd4b3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 4 21:08:54 2021 +0200

    Improve the responsiveness of icewmbg, by reducing the number of image
    scaling and pixmap operations.

 src/icewmbg.cc | 148 +++++++++++++++++++++++++++--------------------------
 src/ypixmap.cc |  13 +++++
 src/ypixmap.h  |  13 +----
 3 files changed, 90 insertions(+), 84 deletions(-)

commit 51f1918013340ee7050f9b0d50a5f28c8a2f3aac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 2 20:11:51 2021 +0200

    Reduce memory consumption by icewmbg further.

 src/icewmbg.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 0c4fc4027390e590d37d930cf352365683632709
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Sun Aug 1 22:17:38 2021 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (500 of 500 strings)

 po/pt_BR.po | 46 +++++++++++++++++++---------------------------
 1 file changed, 19 insertions(+), 27 deletions(-)

commit 0349828ce44221f90ac578571bd06098c3c71187
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:43:57 2021 +0200

    Restore strtest.

 src/strtest.cc | 48 ++++++++++++++++++++++++++----------------------
 1 file changed, 26 insertions(+), 22 deletions(-)

commit dc3fe1d257f68067099558f9d51d1ea38087b6bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:33:30 2021 +0200

    Increase reliability of motion compression by also testing for subwindow
    equality.

 src/ywindow.cc | 25 +++++++++++--------------
 1 file changed, 11 insertions(+), 14 deletions(-)

commit 9f2fc8cc7526612c651745e54bfdf1f9a88be8a3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:31:50 2021 +0200

    Reduce memory size of icewmbg. Speedup directory scanning in icewmbg.

 src/icewmbg.cc      | 172 ++++++++++++++++--------------------------------
 src/icewmbg_prefs.h |   2 +-
 2 files changed, 56 insertions(+), 118 deletions(-)

commit 747bf20ec99b6aa3771f1d07041bcfc091750afd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:30:48 2021 +0200

    Prefer nextExt when scanning directory for cursors.

 src/wmapp.cc | 38 ++++++++++++++++++--------------------
 1 file changed, 18 insertions(+), 20 deletions(-)

commit 32447054436821cc0962ff1d516f82b4153dd4fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:29:52 2021 +0200

    Add for-each on directory entries. Support efficient file type detection.

 src/udir.cc | 251 +++++++++++++++++++++++++++++++++++---------------------
 src/udir.h  |  58 +++++++------
 2 files changed, 191 insertions(+), 118 deletions(-)

commit b45dc6417bd6cbe71e7e4b4e5215a5c11c8b682d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:28:35 2021 +0200

    Decrease number of system calls for path lookups.

 src/misc.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit bf29b18480b209231f76e08d4790d74081e54bae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:27:10 2021 +0200

    Add min+max on three parameters.

 src/base.h | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit dcaec8ede1995e9703986acd83e3920b94856df3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:09:45 2021 +0200

    Guard against array indexing with negative indices.

 src/yarray.cc | 88 ++++++++++++++++++++++++++++++++-----------------------
 src/yarray.h  | 27 +++++------------
 2 files changed, 60 insertions(+), 55 deletions(-)

commit 16aa147116e11b0b55f48d578e3681fac54bdf70
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:08:50 2021 +0200

    Add more tests on YStringArray.

 src/testarray.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 3322e63eea50c82348316f3b7a52ef76bf71e52d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 1 23:08:12 2021 +0200

    Remove obsolete macros.

 src/sysdep.h | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 769e478a2141d8fdf4e2c570c73603afb30d6287
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Thu Jul 29 17:27:03 2021 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (500 of 500 strings)

 po/sk.po | 48 ++++++++++++++++++++----------------------------
 1 file changed, 20 insertions(+), 28 deletions(-)

commit 191e9e43944329d1b93dd62032500c84b723edbd
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Thu Jul 29 09:29:29 2021 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (500 of 500 strings)

 po/nl.po | 48 ++++++++++++++++++++----------------------------
 1 file changed, 20 insertions(+), 28 deletions(-)

commit bbbff7e3e03fe0e9dda1e0490422bb21d42419fe
Author: Aleš Kastner <alkas@volny.cz>
Date:   Thu Jul 29 10:14:52 2021 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (500 of 500 strings)

 po/cs.po | 49 ++++++++++++++++++++-----------------------------
 1 file changed, 20 insertions(+), 29 deletions(-)

commit 7c319aac79c3c58bb0a5765821bc9f42e9cd5981
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Wed Jul 28 22:12:51 2021 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (500 of 500 strings)

 po/ja.po | 50 +++++++++++++++++++++-----------------------------
 1 file changed, 21 insertions(+), 29 deletions(-)

commit cfdd71072ac7dd6624c5212ea29c931fb278d965
Author: David Medina <medipas@gmail.com>
Date:   Wed Jul 28 19:19:02 2021 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (500 of 500 strings)

 po/ca.po | 48 ++++++++++++++++++++----------------------------
 1 file changed, 20 insertions(+), 28 deletions(-)

commit 0af76ceb261ae1a5a2f863e2a5c5eee1b9de0be2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 28 20:52:44 2021 +0200

    Double the timeout for the dynamic menu generator to 1.4 seconds.

 src/wmmenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6241ada6499cc74dd4018dde78b55ca70adfe82
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 28 20:51:40 2021 +0200

    Add a test for for-each on a MStringArray to testarray.cc.

 src/testarray.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 1301692284f5214282ae47d24c3e6778e48c7e1d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 28 20:51:03 2021 +0200

    Add 3 tests to automake for a "make check".

 src/Makefile.am | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit e22b6536f7f54c374dfbbdd8d9cb827c4a220815
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 28 20:46:52 2021 +0200

    Add src/fdospecgen.h to POTFILES.in.

 po/POTFILES.in |    1 +
 po/ar.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/be.po       |  757 +++++++++++++++++++++++++++++++++--
 po/bg.po       |  874 +++++++++++++++++++++++++++++++++-------
 po/ca.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/cs.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/da.po       | 1118 ++++++++++++++++++++++++++++++++--------------------
 po/de.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/el.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/en.po       |  692 +++++++++++++++++++++++++++++++-
 po/es.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/fi.po       |  730 +++++++++++++++++++++++++++++++++-
 po/fr.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/he.po       |  866 ++++++++++++++++++++++++++++++++++------
 po/hr.po       |  757 +++++++++++++++++++++++++++++++++--
 po/hu.po       | 1114 +++++++++++++++++++++++++++++++--------------------
 po/icewm.pot   |  692 +++++++++++++++++++++++++++++++-
 po/id.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/it.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/ja.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/ko.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/lt.po       |  881 ++++++++++++++++++++++++++++++++++-------
 po/lv.po       |  750 +++++++++++++++++++++++++++++++++--
 po/mk.po       |  750 +++++++++++++++++++++++++++++++++--
 po/nb.po       |  757 +++++++++++++++++++++++++++++++++--
 po/nl.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/no.po       |  757 +++++++++++++++++++++++++++++++++--
 po/pl.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/pt.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/pt_BR.po    | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/ro.po       |  757 +++++++++++++++++++++++++++++++++--
 po/ru.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/sk.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/sl.po       |  757 +++++++++++++++++++++++++++++++++--
 po/sv.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/tr.po       | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/uk.po       |  879 ++++++++++++++++++++++++++++++++++-------
 po/vi.po       |  869 ++++++++++++++++++++++++++++++++++------
 po/zh_CN.po    | 1106 ++++++++++++++++++++++++++++++++-------------------
 po/zh_TW.po    | 1106 ++++++++++++++++++++++++++++++++-------------------
 40 files changed, 27459 insertions(+), 10525 deletions(-)

commit 67e09071c21f0d6969928f23bd21c78d5cbec5da
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 28 20:42:36 2021 +0200

    Update potfiles.

 po/POTFILES.in |   17 +-
 po/ar.po       | 1509 ++++++++++++++++++++++----------------------------
 po/be.po       | 1110 +++++++++----------------------------
 po/bg.po       | 1155 +++++++++++----------------------------
 po/ca.po       | 1521 ++++++++++++++++++++++-----------------------------
 po/cs.po       | 1521 ++++++++++++++++++++++-----------------------------
 po/da.po       | 1505 ++++++++++++++++++++++----------------------------
 po/de.po       | 1517 ++++++++++++++++++++++-----------------------------
 po/el.po       | 1500 ++++++++++++++++++++++----------------------------
 po/en.po       | 1045 ++++++++---------------------------
 po/es.po       | 1517 ++++++++++++++++++++++-----------------------------
 po/fi.po       | 1088 +++++++++---------------------------
 po/fr.po       | 1521 ++++++++++++++++++++++-----------------------------
 po/he.po       | 1140 +++++++++++---------------------------
 po/hr.po       | 1091 +++++++++----------------------------
 po/hu.po       | 1523 ++++++++++++++++++++++-----------------------------
 po/icewm.pot   | 1047 ++++++++---------------------------
 po/id.po       | 1517 ++++++++++++++++++++++-----------------------------
 po/it.po       | 1517 ++++++++++++++++++++++-----------------------------
 po/ja.po       | 1519 ++++++++++++++++++++++-----------------------------
 po/ko.po       | 1513 ++++++++++++++++++++++-----------------------------
 po/lt.po       | 1159 +++++++++++----------------------------
 po/lv.po       | 1103 +++++++++----------------------------
 po/mk.po       | 1103 +++++++++----------------------------
 po/nb.po       | 1106 +++++++++----------------------------
 po/nl.po       | 1521 ++++++++++++++++++++++-----------------------------
 po/no.po       | 1106 +++++++++----------------------------
 po/pl.po       | 1513 ++++++++++++++++++++++-----------------------------
 po/pt.po       | 1484 ++++++++++++++++++++++----------------------------
 po/pt_BR.po    | 1517 ++++++++++++++++++++++-----------------------------
 po/ro.po       | 1106 +++++++++----------------------------
 po/ru.po       | 1513 ++++++++++++++++++++++-----------------------------
 po/sk.po       | 1521 ++++++++++++++++++++++-----------------------------
 po/sl.po       | 1106 +++++++++----------------------------
 po/sv.po       | 1513 ++++++++++++++++++++++-----------------------------
 po/tr.po       | 1542 +++++++++++++++++++++++-----------------------------
 po/uk.po       | 1172 +++++++++++----------------------------
 po/vi.po       | 1155 +++++++++++----------------------------
 po/zh_CN.po    | 1513 ++++++++++++++++++++++-----------------------------
 po/zh_TW.po    | 1515 ++++++++++++++++++++++-----------------------------
 40 files changed, 19347 insertions(+), 33314 deletions(-)

commit f4579647abb117680de767a6f7762bffac9baf65
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Wed Jul 21 07:46:30 2021 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (481 of 481 strings)

 po/tr.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e18677e0f28d189c4d0e201bb8255f483c3a676
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Mon Jul 19 10:19:49 2021 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (481 of 481 strings)

 po/tr.po | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

commit 63d2f0108f0da238482675981de1019263f07ace
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 19 01:18:56 2021 +0200

    Eliminate most of the inefficiences when looking for icon directories.

 src/yicon.cc | 386 ++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 224 insertions(+), 162 deletions(-)

commit 77dda0352cd2853fcf70c866f0d5cde7ac654f71
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 19 01:17:39 2021 +0200

    Delay the loading of cursors as much as possible,
    because some cursors are seldomly used.

 src/wmapp.cc   | 87 +++++++++++++++++++++++++++++++-----------------------
 src/wmapp.h    | 30 +++++++++----------
 src/ycursor.cc | 21 +++++++++++++
 src/ycursor.h  | 11 +++++++
 4 files changed, 97 insertions(+), 52 deletions(-)

commit 8edd38dd65e8004f989b94485ad58c0c52a31e0c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 19 01:16:49 2021 +0200

    Also test find on MStringArray.

 src/testarray.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5a22443bd777552c2b1f1d8d169cd43d3b9f019b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 19 01:16:17 2021 +0200

    Ensure that PATH_MAX is defined.

 src/misc.cc  | 7 ++++---
 src/sysdep.h | 3 +++
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 11b2f98379344275f55f3b02a0a96d1b4ae9b9b6
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Sun Jul 18 19:14:09 2021 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (481 of 481 strings)

 po/tr.po | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit db306f7b1c9ea12cb9edd56e6242543602a713e6
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Sun Jul 18 19:10:59 2021 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (481 of 481 strings)

 po/tr.po | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit c16c44e936856bcebf11c8fd36028119c021e0cc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 21:36:20 2021 +0200

    Rewrite task successor and task predecessor to properly take into
    account the
    separation of TaskBarApp and TaskButton as well as task grouping.
    Resolves #602, resolves #604.

 src/atasks.cc | 82 ++++++++++++++++++++++++++++++++++++++++++++-----------
 src/atasks.h  |  2 ++
 2 files changed, 68 insertions(+), 16 deletions(-)

commit 784236b33075cf783ddef398b01ff2fe5ce8f790
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 21:11:01 2021 +0200

    Avoid one level of indirection to speedup debugging.

 src/yarray.h | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit fbc00000b224277a388604370bc60452b8ac9a74
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 21:07:54 2021 +0200

    Cache the looked up value for the openssl path.

 src/amailbox.cc | 24 +++++++++++++++++-------
 src/amailbox.h  |  2 ++
 2 files changed, 19 insertions(+), 7 deletions(-)

commit 96ff0e650a904041b79a88e2809f1c400bb4cbfe
Author: Alexander Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Thu Jul 15 19:59:22 2021 +0100

    Allow using cmake -GNinja (#603)

    The CMake Ninja generator complains about duplicate targets otherwise since
    the `ADD_CUSTOM_COMMAND(OUTPUT ${_tempPO}` already creates a target with
    the name ${_lang}.po: ninja: error: build.ninja:2446: multiple rules
    generate po/pl.po [-wdupbuild=err].
    Rename the custom target to work around this.

 po/CMakeLists.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit da2db635bff853900041017ddf6f9fd99dbd6a02
Author: Alexander Richardson <Alexander.Richardson@cl.cam.ac.uk>
Date:   Thu Jul 15 19:53:21 2021 +0100

    Fix building on a case-insensitive file system (#601)

    When compiling on a case-insensitive file system, adding the root
    directory to the means that C++ headers including the stanard library
    header <version> end up including the VERSION file in the root directory
    instead. This include path does not appear to be not needed so we can
    just drop it.

 CMakeLists.txt | 1 -
 1 file changed, 1 deletion(-)

commit 34c91428643452b82ff78993388f8d3af1eab92a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 12:43:57 2021 +0200

    Remove obsolete files ypaths.cc and ypaths.h.

 src/ypaths.cc | 127 ------------------------------------------------------
 src/ypaths.h  |  44 -------------------
 2 files changed, 171 deletions(-)

commit 5a3d89ef0c46140adf51b98a477081265b4bba0c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 12:12:57 2021 +0200

    Refresh icewmbg manpage.

 man/icewmbg.pod | 68 ++++++++++++++++++++++++++---------------------------
 1 file changed, 33 insertions(+), 35 deletions(-)

commit 7d2844e01aa7a74a0af27e4d9caf775cdf0fb3e2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 12:12:44 2021 +0200

    Make it compile.

 src/iceicon.cc | 2 +-
 src/icelist.cc | 6 +++---
 src/iceskt.cc  | 1 -
 3 files changed, 4 insertions(+), 5 deletions(-)

commit 58af5b60cc8d5b42cb28462516648ce1af52cc59
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 12:12:33 2021 +0200

    Print active window.

 src/testnetwmhints.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit d70e47e0bba7675a72afd6aac62ed373c97f5229
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 12:11:54 2021 +0200

    Update icewmbg.

 src/icewmbg.cc | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

commit f554478c89d72235dab4a9348c45cb438f8f74b7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 12:10:30 2021 +0200

    When changing themeName, allocate it dynamically.

 src/wmconfig.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b7a27edb98f5d7f06e83fd473e36d2025ec7d703
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 15 12:08:04 2021 +0200

    Get rid of unneeded classes YCursor and YResourcePaths.
    This also reduces the number of stat(2) system calls on startup.

 src/CMakeLists.txt |   2 +-
 src/Makefile.am    |   7 --
 src/atasks.cc      |   4 +-
 src/aworkspaces.cc |   7 +-
 src/genpref.cc     |   2 +
 src/movesize.cc    |   6 +-
 src/wmapp.cc       | 192 ++++++++++++++++++++++++++++++++++++++++---------
 src/wmapp.h        |  40 +++++++----
 src/wmcontainer.cc |   4 +-
 src/wmdialog.cc    |   2 +-
 src/wmframe.cc     |   2 +-
 src/wmmgr.cc       |   8 +--
 src/wmmgr.h        |   2 +-
 src/wmprog.h       |   4 +-
 src/wmtaskbar.cc   |   6 +-
 src/wmwinmenu.h    |   4 +-
 src/wpixres.cc     |  50 +++++++------
 src/wpixres.h      |   6 +-
 src/yapp.cc        |  16 +++++
 src/yapp.h         |   8 ++-
 src/yconfig.cc     |   1 -
 src/ycursor.cc     |  79 ++++----------------
 src/ycursor.h      |  51 +------------
 src/yicon.cc       |  26 +++++--
 src/yicon.h        |   1 +
 src/ypopup.cc      |   2 +-
 src/yprefs.h       |   2 +-
 src/ywindow.cc     |  38 ++++------
 src/ywindow.h      |  11 ++-
 src/yxapp.cc       |  15 +---
 src/yxapp.h        |   6 +-
 31 files changed, 332 insertions(+), 272 deletions(-)

commit 39a36e9d4ed78f1780843a4a5db77ed502ddad0e
Author: Mehmet Akif <madanadam@gmail.com>
Date:   Thu Jul 15 12:58:03 2021 +0300

    Minor Changes and Additions (#600)

    Thank you for your contribution!

 po/tr.po | 692 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 348 insertions(+), 344 deletions(-)

commit df787c550cfda092075123ab0fae379855093ae7
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Thu Jul 8 14:01:46 2021 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (481 of 481 strings)

 po/pt.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit e73b5cd3bc4338ae6d53f04a752dbed2e1156d01
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 8 08:15:51 2021 +0200

    Prepare 2.6.0 release

 AUTHORS      |   6 +-
 ChangeLog    | 585 +++++++++++++++++++++++++------------------------------
 NEWS         | 219 ++++-----------------
 README.md    |  36 ++--
 RELEASE.md   |   4 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  70 +++----
 po/be.po     |  70 +++----
 po/bg.po     |  70 +++----
 po/ca.po     |  70 +++----
 po/cs.po     |  70 +++----
 po/da.po     |  70 +++----
 po/de.po     |  70 +++----
 po/el.po     |  70 +++----
 po/en.po     |  70 +++----
 po/es.po     |  70 +++----
 po/fi.po     |  70 +++----
 po/fr.po     | 128 ++++++------
 po/he.po     |  70 +++----
 po/hr.po     |  70 +++----
 po/hu.po     |  70 +++----
 po/icewm.pot |  72 +++----
 po/id.po     |  70 +++----
 po/it.po     |  70 +++----
 po/ja.po     |  70 +++----
 po/ko.po     |  70 +++----
 po/lt.po     |  70 +++----
 po/lv.po     |  70 +++----
 po/mk.po     |  70 +++----
 po/nb.po     |  70 +++----
 po/nl.po     |  70 +++----
 po/no.po     |  70 +++----
 po/pl.po     |  70 +++----
 po/pt.po     |  70 +++----
 po/pt_BR.po  |  70 +++----
 po/ro.po     |  70 +++----
 po/ru.po     |  70 +++----
 po/sk.po     |  70 +++----
 po/sl.po     |  70 +++----
 po/sv.po     |  70 +++----
 po/tr.po     |  70 +++----
 po/uk.po     |  70 +++----
 po/vi.po     |  70 +++----
 po/zh_CN.po  |  70 +++----
 po/zh_TW.po  |  70 +++----
 46 files changed, 1734 insertions(+), 1918 deletions(-)

commit b671b365391539f67545fcf9d4bfd468b39214d1
Merge: 6c377bf4 3685e59b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 8 08:12:04 2021 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 3685e59b6b3e1bb392a0efae7def1ddf4ad1f779
Merge: d6eb4680 e7ab2a49
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 8 08:10:56 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit e7ab2a49a9b9e6f3d2b279250b093bbb59136864
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 7 22:04:17 2021 +0200

    Remove superfluous includes.

 src/wmcontainer.cc | 4 ----
 1 file changed, 4 deletions(-)

commit aa89c73209bb134b61ec04e04cfd21313d010c23
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 7 22:03:23 2021 +0200

    Add a second modal dialog to testing.

 src/testnetwmhints.cc | 34 +++++++++++++++++++++++++++++++---
 1 file changed, 31 insertions(+), 3 deletions(-)

commit c6a2c4ae9db854456562a3892ac0cef17835f1bf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 7 22:02:23 2021 +0200

    Keep track of changes to modal flag. Optimize raising of modals.

 src/wmframe.cc | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit 5b9287d6308647baafc4e7ee33bf9517f341c095
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 7 21:22:26 2021 +0200

    Fix a memory leak for dynamic menu's.

 src/objmenu.cc | 3 +++
 1 file changed, 3 insertions(+)

commit ca48077067c63b6ae338bc9ca18bc45fcff9aea9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 7 01:21:41 2021 +0200

    Free start menu and windowlist menu on exit.

 src/wmapp.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 2ad29f1afa7aa05b871d0d5ce601d093811c7600
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 7 01:20:18 2021 +0200

    Fix for browse menu's for root and home in start menu.

 src/objmenu.cc | 3 +++
 1 file changed, 3 insertions(+)

commit a3c1ef594ea424ddd7a5c25995f275ca8c950295
Merge: adcfa78f 5a317837
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Mon Jul 5 17:31:40 2021 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate.

commit adcfa78fcdbc6e7d47b7c1b8db53243f75a3ff6a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 5 02:20:00 2021 +0200

    Eliminate memory leaks in icon handling.

 src/yicon.cc | 340 +++++++++++++++++++++++++++----------------------------
 1 file changed, 167 insertions(+), 173 deletions(-)

commit 99380ce8a5d4e05d757905767fbfebb5edb4c48c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 03:03:37 2021 +0200

    Use absolute paths for the Exec definition.

 lib/icewm-session.desktop | 2 +-
 lib/icewm.desktop         | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3917f16c6851b5fb304c167ca4d3d892fcd91f81
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 03:02:12 2021 +0200

    Only do a passive grab on buttons which are defined by the ButtonRaiseMask.

 src/wmcontainer.cc | 129 +++++++++++++++++++++----------------------------
 1 file changed, 55 insertions(+), 74 deletions(-)

commit eb61de9bd9494904d8bd54b650c5aa3d0a4d2051
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 03:00:08 2021 +0200

    Fix a fscanf format string type mismatch.

 src/ycursor.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 007bbeb30e78521ad91e487cc0653b1d2c2cb110
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 02:59:37 2021 +0200

    Fix a type to boolean.

 src/wmtaskbar.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6f3d9ccba252c8ab2a45c8735d5add4398130dcb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 02:59:18 2021 +0200

    Prevent a hypothetical memory leak.

 src/wmmgr.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit eb97aab4470f748dc5e2ef7240d0f418d630849e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 02:58:45 2021 +0200

    Initialize all object fields.

 src/amailbox.cc    | 1 +
 src/aworkspaces.cc | 3 ++-
 src/themes.cc      | 1 +
 src/udir.cc        | 1 +
 src/ymenu.cc       | 1 +
 5 files changed, 6 insertions(+), 1 deletion(-)

commit f3aae1b134b02029f95297f42f68557c1ca770a7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 02:57:42 2021 +0200

    Define string field widths when using sscanf.

 src/aapm.cc      | 29 ++++++++++++++---------------
 src/wmsession.cc |  6 +++---
 2 files changed, 17 insertions(+), 18 deletions(-)

commit a14f12e43ba26fc2cad33758632095f3e6987074
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 02:56:21 2021 +0200

    Prevent a warning on nullptr dereference.

 src/mstring.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e4591e96820c63ff4f22c6623759d73ede12332
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 02:55:26 2021 +0200

    Use the "override" keyword consistently to avoid warnings.

 src/icehelp.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 96b6335707aac0ae7d4250185b9e639527c75317
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 02:54:09 2021 +0200

    Guard against buffer overflow when copying the degrees centigrade symbol.

 src/acpustatus.cc | 13 ++++++++-----
 src/acpustatus.h  |  2 +-
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 0bfea6749667edb75d6faf1067500ef4ce83af0a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 3 02:50:45 2021 +0200

    When a focused window can't raise, or there is no overlapping window,
    then there shouldn't be a passive button grab by icewm, in order to
    improve internal menu handling by the application.

 src/wmframe.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit cc14871727c50fd3953ead35952d1ad09c4a236d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 2 01:13:53 2021 +0200

    Release the passive button grab from a focused window when a button
    click wouldn't raise it, for improved menu handling.

 src/wmframe.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 5a31783783262106d1fb560ae364db34a71a2c79
Author: Lucie Charrier <c.chalu@free.fr>
Date:   Fri Jun 25 05:52:38 2021 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (481 of 481 strings)

 po/fr.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 6c377bf499af4640186c9fb1869affd52fcd2e24
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 26 11:45:49 2021 +0200

    Prepare 2.5.0 release

 AUTHORS      |  14 +-
 ChangeLog    | 787 ++++++++++++++++++++++++++++---------------------------
 NEWS         |  91 +++++--
 README.md    |  36 +--
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  78 +++---
 po/be.po     |  78 +++---
 po/bg.po     |  78 +++---
 po/ca.po     |  82 +++---
 po/cs.po     |  82 +++---
 po/da.po     |  78 +++---
 po/de.po     |  78 +++---
 po/el.po     |  78 +++---
 po/en.po     |  78 +++---
 po/es.po     |  78 +++---
 po/fi.po     |  78 +++---
 po/fr.po     |  78 +++---
 po/he.po     |  78 +++---
 po/hr.po     |  78 +++---
 po/hu.po     |  78 +++---
 po/icewm.pot |  80 +++---
 po/id.po     |  78 +++---
 po/it.po     |  78 +++---
 po/ja.po     |  82 +++---
 po/ko.po     |  78 +++---
 po/lt.po     |  78 +++---
 po/lv.po     |  78 +++---
 po/mk.po     |  78 +++---
 po/nb.po     |  78 +++---
 po/nl.po     |  82 +++---
 po/no.po     |  78 +++---
 po/pl.po     |  78 +++---
 po/pt.po     |  78 +++---
 po/pt_BR.po  |  78 +++---
 po/ro.po     |  78 +++---
 po/ru.po     |  78 +++---
 po/sk.po     |  82 +++---
 po/sl.po     |  78 +++---
 po/sv.po     |  78 +++---
 po/tr.po     |  78 +++---
 po/uk.po     |  78 +++---
 po/vi.po     |  78 +++---
 po/zh_CN.po  |  78 +++---
 po/zh_TW.po  |  78 +++---
 45 files changed, 2032 insertions(+), 1972 deletions(-)

commit 2c679a117e030d3eb18912da2ffd15aee8ded6ee
Merge: eeb99421 d6eb4680
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 26 11:39:56 2021 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit d6eb4680315a7781c2ee38f7958d78b85297841a
Merge: fa3ebaa3 4f52f80a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 26 11:39:07 2021 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 4f52f80ae8e6df54e6ccf5516e09295dfcb40afd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 26 00:36:22 2021 +0200

    Reread properties list for internal clients.

 src/wmframe.cc | 2 ++
 src/ymsgbox.cc | 1 +
 2 files changed, 3 insertions(+)

commit eb096743895e5280ff96638669cb002074bc1a20
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 25 22:28:59 2021 +0200

    Guard against frames without a client when destructing frames with kill
    message boxes.

 src/wmmgr.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4554bd173a72beb6f27419c36d90e2c2dfd89565
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 25 22:28:22 2021 +0200

    Change YTextProperty memory allocation type to malloc/free.

 src/yxapp.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
